=== AMP for WP - Accelerated Mobile Pages ===
Contributors: mohammed_kaludi, ahmedkaludi, ampforwp
Tags: AMP, accelerated mobile pages, mobile, amp project, google amp, amp wp, google, plugin, SEO
Donate link: https://www.paypal.me/Kaludi/25
Requires at least: 3.0
Tested up to: 4.9.8
Stable tag: 0.9.97.16
License: GPLv2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html

AMP for WP is the most recommended AMP plugin by the community. Automatically add Accelerated Mobile Pages (Google AMP Project) functionality on your WordPress site.

== Description ==
AMP for WP automatically adds Accelerated Mobile Pages (Google AMP Project) functionality to your WordPress site. AMP makes your website faster for Mobile visitors.

[What's New in this Version?](https://ampforwp.com/new/) | [Priority Support](https://ampforwp.com/priority-support/#utm_source=wp_org&utm_medium=description-tab-pro-box&utm_campaign=AMP%20Plugin) | [View Demo](https://ampforwp.com/demo/) | [Screenshots](https://wordpress.org/plugins/accelerated-mobile-pages/screenshots/) | [Community](https://ampforwp.com/community/)

[youtube https://www.youtube.com/watch?v=Em1nsE_KaKw]

[youtube https://www.youtube.com/watch?v=QTbkn2rHyqM]

<strong>Extensions</strong><br>
Some useful extensions to extend AMP features, check [AMP Adsense Support](https://ampforwp.com/advanced-amp-ads/#utm_source=wp_org&utm_medium=description-tab-pro-box&utm_campaign=AMP%20Plugin), [Contact Form 7 Support](https://ampforwp.com/contact-form-7/#utm_source=wp_org&utm_medium=description-tab-pro-box&utm_campaign=AMP%20Plugin), [Email Opt-in Support](https://ampforwp.com/opt-in-forms/#utm_source=wp_org&utm_medium=description-tab-pro-box&utm_campaign=AMP%20Plugin) and [Call To Action Support](https://ampforwp.com/call-to-action/#utm_source=wp_org&utm_medium=description-tab-pro-box&utm_campaign=AMP%20Plugin). To view more, go to our [Extensions page](https://ampforwp.com/extensions/#utm_source=wp_org&utm_medium=description-tab-pro-box&utm_campaign=AMP%20Plugin).

<strong>Premium Support</strong><br>
We try our best to provide support on WordPress.org forums. However, One-on-one email support is available to people who bought the [Priority Support](https://ampforwp.com/priority-support/#utm_source=wp_org&utm_medium=description-tab-pro-box&utm_campaign=AMP%20Plugin) only. 

<strong>Bug Reports</strong><br>
Bug reports for AMP for WP are [welcomed on GitHub](https://github.com/ahmedkaludi/Accelerated-Mobile-Pages). Please note GitHub is _not_ a support forum, and issues that aren't properly qualified as bugs will be closed.


= Features: =

* NEW - GDPR Compliance
* NEW - Introducing Page Builder 3.0 for AMP! [Learn More & Video](https://ampforwp.com/tutorials/article/amp-page-builder-installation/)
* NEW Default Theme for AMP called Swift
* NEW - 3 Pre-built AMP Layouts for Business websites and landing pages 
* NEW - Alexa Metrics Compatibility added 
* NEW - OneSignal Push Notifications integration 
* NEW - Advanced WooCommerce Support [More Info](https://ampforwp.com/woocommerce/)
* Gravity Forms Support [More Info](https://ampforwp.com/gravity-forms/)
* AMP Plugins Manager - Which allows you to disable a specific plugin functionality only in the AMP version
* Structured Data Options
* Page Break / NextPage (Pagination) Support
* Contact Form 7 Support [More Info](https://ampforwp.com/contact-form-7/)
* Facebook Comments Support
* Github Gist Support
* Email Opt-in Subscription form support in AMP added
* Call to Action boxes and notification bars 
* 9 Advertisement sizes - 2 More AD slots added recently
* Comments Forms in AMP.
* Native AMP Search functionality.
* Design 3 [Watch the Video Overview](https://www.youtube.com/watch?v=ub1pwskt3Rc)
* Disqus Comments Support
* Google Tag Manager Support
* Page, Category & Tags Support Added
* Custom AMP Editor - Which allows you to override your Content that you had written in Post or page, so you can add the different content just for AMP.
* Mobile Redirection -  More than 50% of your traffic is from mobile and you aren’t doing anything to improve their user experience, which means you are falling behind on SEO and it can result in lower SERPS. Lightning fast mobile version means faster User experience means more engagement which directly results in the lower bounce rate.
* Custom Post Type Support 
* Star Ratings
* Drag & Drop Page builder Added 
* 4 Designs for AMP 
* Yoast SEO support on AMP pages and other SEO plugins
* AMP WooCommerce Support 
* Switch on/off Support for Pages & Posts on AMP
* Translation Panel & RTL
* Internal AMP linking - You can browse AMP pages internally
* Related posts below the post
* Recent Comments list
* Automatically integrate AMP to your website.
* Google Adsense (AMP-AD) Support with 4 different Ad slots across the layout! The First Plugin to have this capability.
* Google Analytics Support.
* User Friendly Theme Options Panel.
* Unlimited Color Scheme.
* Image Logo Upload.
* Supports Posts and Pages.
* Proper rel canonical tags which means that Google know the original page.
* Overlay Navigation Menu bar.
* Social Sharing in the Single.
* Sexy Design.
* Separate WordPress Menu for AMP version.
* Page builder & Shortcodes Compatibility.
* Carousel support for Gallery.
* Better Image stretching and resizing.
* Youtube Video Embed Support.
* Vine Embed Support.
* Twitter oembed Support.
* Instagram Embed Support.
* Facebook Video Embed Support.
* RTL Support
* Custom AMP FrontPage
* Notifications
* Chartbeat, Hi-stats, Yandex Metrika, Piwik, Segment.com, StatCounter, Effective Measure and comScore Support 
* Incontent & DoubleClick Support
* Great Support & Active Development.
* Widgets & WooCommerce 
* Genesis SEO Support 
* Breadcrumb Support added 
* Facebook Instant Articles Support Added
* AMP Installation Wizard that makes it easy to setup for new users.
* Category base remover support
* Tag base remover support
* 7 New Social Media Integrations added (Reddit, Tumblr, Telegram, Digg, StumbleUpon, Wechat, Viber) 
* AMP Theme Framework Core Support Added. You can now create AMP templates of your own in just minutes. **[More](https://ampforwp.com/amp-theme-framework/)**
* NEW - Make AMP & Non-AMP Same with just one click! 
* NEW - Allows you to use AMP as primary website!

**[JOIN CHAT GROUP COMMUNITY](https://ampforwp.com/community/)**: Purpose of this group is to get proper suggestions and feedback from plugin users and the community so that we can make the plugin even better.

= Getting Started: =
**[1. User Documentation:](https://ampforwp.com/help/)** The AMP for WordPress plugin is easy to setup but we have some tutorials and guides prepared for you which will help you dive deep with the plugin.

**[2. Developer Docs:](https://ampforwp.com/help/#extend)** We have created special documentations for developers and semi technical users who are willing to modify the plugin according to their own needs.

**[3. Fixing AMP Validation Errors:](https://ampforwp.com/priority-support/#utm_source=wp_org&utm_medium=description-tab-pro-box&utm_campaign=AMP%20Plugin)** We will personally take care that your website’s AMP version is perfectly validated. We will make sure that your AMP version gets approved and indexed by Google Webmaster Tools properly and we will even keep an eye on AMP updates from Google and implement them into your website.

**[4. Community Support Forum:](https://ampforwp.com/help/#support-forum)** We have a special community support forum where you can ask us questions and get help about your AMP related questions. Delivering a good user experience means alot to us and so we try our best to reply each and every question that gets asked.

**[5. Frequently Asked Questions:](https://ampforwp.com/faq/)** Some of the Frequently Asked questions.


== Installation ==
**[Visit Help area for the Documentation:](https://ampforwp.com/help/)**

[youtube https://www.youtube.com/watch?v=Em1nsE_KaKw]

**[Visit Help area for the Documentation:](https://ampforwp.com/help/)**


== Frequently Asked Questions ==

= Can I add analytics? =

Yes, you easily can. In fact, we have support for 12 Analytics companies. Including Google Analytics, Facebook Pixel, StatCounter, QuantCast, Chartbeat, comScore to list a few. Also, we have Google Tag Manager (GTM) support as well.

= Can I add Ads in my AMP pages? =

Yes, you can. We have 6 ad placement slots that are built in and strategically placed to get maximum views. Also, we have [an extension](https://ampforwp.com/advanced-amp-ads/) from which you can insert ads between the content, will get more ad slots and also add custom banners to all the available slots.


= Can I extend/Change the AMP design, so it suits my needs? =

Yes, you easily can. We have created this plugin in such a way that it can easily be extended. Check out our [AMP Theme Framework](https://ampforwp.com/tutorials/article/getting-started-amp-framework/)


= Do you have any prebuilt designs? =

Yes, we have AMP themes section where we have free and paid designs available. We also update it regularly. You can check it out our [AMP Themes](https://ampforwp.com/themes)


= I'm a developer and I want to add custom functionality for a client, can I do that? =

Yes, of course. This plugin is very developer friendly, we have lots of hooks and filters that you can use to extend and customize according to the requirements. Also, we have [developer documentation](https://ampforwp.com/tutorials/article-categories/developer-documentation/) which we update regularly.


= How do I report bugs and suggest new features? =

You can report the bugs [here](https://github.com/ahmedkaludi/Accelerated-Mobile-Pages/issues)

= Will you Add New features to my request? =

Yes, Absolutely! We would suggest you send your feature request by creating an issue in [Github](https://github.com/ahmedkaludi/Accelerated-Mobile-Pages/issues/new/) . It helps us organize the feedback easily.


= How do I get in touch? =

You can contact us from [here](https://ampforwp.com/contact/)


== Screenshots ==
1. AMP Homepage
2. AMP Single Post
3. Post Navigation in Single
4. Sticky Social sharing icons
5. Overlay Navigation menu sidebar.
6. Page builder of the Single article. You can drag and drop any element.
7. Single post of Design One
8. GTMetrix Performance Report
9. Google PageSpeed Insight report for AMP
10. Homepage of Design One
11. Pingdom Speed Report for AMP


== Changelog ==

= 0.9.97.16 (19th September 2018) = 
* Added: 3 Types of Gallery designs #1968
* Added: New Section to show 'change log' on Welcome Page #1753
* Added: Allow HTML in footer section of translation panel in design 3 #1950
* Added: Need to make the compatibility with The Voux theme #2263
* Fixed: Special character "|" breaking the url in the twitter share #2264
* Added: Read more button for post on blog page #2273
* Fixed: Category Labels are Clickable on Swift Homepage even Archive support is off #2279
* Fixed: Above Loop and Below Loop Sidebar Widget area is not connected with Swift theme #2280
* Fixed: Aq_Resize.process() errors for images hosted on CDN #2285
* Fixed: Convert to WP Option is displayed in Swift Theme, but not in Design 3. #2291
* Fixed: Need to have only one text-domain in the string of the plugin #2292
* Fixed: Bug in Facebook comments. #2300
* Added: Beta Testing link in the Options panel #2302
* Added: "X" button in the menu of D3 #2294
* Fixed: AMP Take over is applying even on product when this option is enabled only for posts. #2304
* Fixed: The Option Facebook App ID not necessary in the social icons of AMP panel when using Swift #2384
* Fixed: Embeds not working in Archive Description #2402
* Fixed: Spurious spaces in Footers #2521
* Fixed: Additional spaces Pagination div on article posts #2522

= 0.9.97.15 (13th September 2018) = 
* Fixed: Pagination is not working on date archive #2289
* Added: Options to show Social Icons in different places in Swift #1722 
* Fixed: Localization string for "% days ago" not working for non-Latin languages #1491
* Added: Social Share by Supsystic Compatibility #1509
* Fixed: Duplicate h1 tags in Design One #1522
* Added: 3 Appearance option for Related Posts in Swift theme #1545
* Fixed: RTL not working with Footer properly #1655
* Fixed: Proper implementation of the property of all in one SEO pro to avoid fatal error #2500
* Fixed: Notice: Undefined index: extension in thirdparty-compatibility.php on line 401 - 406 #2496
* Fixed: Wrong url in Non-Amp Version link on blog posts page and category archives #2424
* Fixed: The Consent.php path is getting index in Webmaster tool #2518
* Added: Option to add custom things in Instant Articles #1089
* Added: Show/hide Instant Article on specific posts #1297
* Added: Facebook Instant Articles (FBIA) Crawler Ingestion (ia:markup_url) tag #1474
* Added: Facebook Instant Articles Meta Tag #1486
* Added: Related posts for instant articles #1634
* Added: Option to remove Author info from Instant Articles  #1483
* Added: Facebook Instant Articles in each Catagory #1524
* Added: Custom Facebook Instant Articles Ad option #1475
* Fixed: Pagination not working after changing the pagination base #1485
* Added: Breadcrumb with tag #1305 
* Fixed: Enabled WordPress Comments by default #1501

= 0.9.97.14 (4th September 2018) =
* Added: Adobe Analytics Support #887
* Fixed: Same Icons loading for some extensions #2172
* Fixed: Removed extra spacing from "Back to top" text #2349
* Fixed: Retina featured images support for Homepage and archive loop images #2334
* Fixed: When WooCommerce Product Slider is Installed, the Picture of Icons are not loading #2325
* Added: Customizr Theme Lazy Loading compatibility #2322
* Fixed: "Save Module" button of AMP page Builder not displaying in OSX and in Safari #1943
* Fixed: Sort Related Posts Randomly Not Working in Swift theme #2308
* Added: Need to create a tutorial of How to Enter your Audience Network Placement ID of advertisement in the Instant Article #1723 
* Fixed: Retina Images option Improvement-II #2296
* Fixed: Disable the look or check of redux framework #2293
* Fixed: With Redux core plugin, AMP option panel design not loading #2258
* Fixed: Issues with pagination #2253
* Added: Thrive Architect Compatible #1575
* Fixed: Notice Undefined variable categories_array #2486
* Fixed: Need to add upscale parameter in-line related posts #2488
* Fixed: Getting the warnings in error log due to global variable, not present #2395
* Fixed: Google Analytic issue while setting up Run Installation wizard #2491
* Added: Read more button AKA Content Sneak Peek feature for post #2246
* Added: Showing related items/post in after nth paragraph #2246

= 0.9.97.13 (28th August 2018) =
* Fixed: Fatal error in `ampforwp_related_post_loop_query()`

= 0.9.97.12 (27th August 2018) =
* Fixed: Quote runs only in block post not on pages #2399
* Added: Create a Sidebar option that can be used as global Sidebar #2388
* Fixed: words are breaking and not readable #2441
* Fixed: Text is breaking into next line while there is no space between the text in custom AMP Editor #2270
* Fixed: IP Anonymization #2421
* Added: Setka Editor Compatibility #2468
* Fixed: In swift theme, when user ads the ad Above the Related Posts (Single Post); the content doesn't display #2311 and #2318
* Added: Toggle controls are now accessible #1691
* Added: Global Sidebar is now Connected with AMP Pagebuilder #2371
* Fixed: #amp-user-notification1 Styling was loading even when disabled from option panel in swift #2400
* Fixed: Remove the empty `@media{}` css generated by Pagebuilder #2473
* Fixed: Blank Lines in HTML Source code #2445
* Fixed: Optimize AMP pages on Google Lighthouse #2082
* Fixed: RSS Feed is not working when AMP Takeover is enabled #2309

= 0.9.97.11 (21th August 2018) =
* Minor Update

= 0.9.97.10 (18th August 2018) =
* Fixed: Homepage build with AMP PageBuilder is displaying only when the checkbox of the Custom AMP editor is enabled #2350
* Added: Created a new function to get the settings instead of calling it directly from global $redux_builder_amp everytime. `ampforwp_get_setting` created #2177
* Fixed: Comments and share not loading on pages only in swift #2401
* Fixed: Back to Top link not working in Swift Design #2404
* Added: Ads Below the Author Area in Swift theme #2455
* Fixed: AMP should remove spaces from GTM ID automatically #2413
* Fixed: Some Posts are not displaying in Blog page even when AMP is enabled from Post settings #2375
* Fixed: Wrong AMPHTML when using static page as blog using custom-code/pagebuilder from reading settings #2396
* Added: Add paginations meta tags #2343
* Fixed: Updated the code of AMP renders with ?q after the /amp #2361
* Added: Add support for Relevanssi search #2307
* Added: Show index/noindex label when enabling the options in SEO Settings #2290
* Added: Add AMP consent in AMP Theme Framework #2440
* Added: Created a component called `AMP-geo` so anyone can use it in thier AMP theme #2440

= 0.9.97.9 (1st August 2018) =
* Minor Improvements

= 0.9.97.8 (24th July 2018) =
* Fixed: AMP renders with ?q after the /amp #2361
* Fixed: iThemes Sync can not connect to the site. #2380
* Fixed: H1 to H6 styling is not reflecting in the Swift theme #2383
* Fixed: Underline on Links function is not working. #2372
* Fixed: WordPress Admin Color Scheme not applying #2390
* Fixed: Breadcrumbs are not disabling when the sidebar template is selected #2376
* Fixed: All the Images are Adding AMP at the End of their URL. #2391

= 0.9.97.7 (18th July 2018) =
* Fixed: PageBuilder not loading on frontpage #2360
* Fixed: 500 error on somepages due to open wp_query by other plugins
* Fixed: License key reupdating #2261 
* Fixed: AMP renders with ?q after the /amp #2361

= 0.9.97.6 (14th July 2018) =
* Fixed: Error and Warning on Structured Data for Logo. #2360
* Fixed: Category Bulk tool breaking meta boxes #2335

= 0.9.97.5 (11th July 2018) =
* Fixed: Title disappearing in Design 1,2,3 when legacy pagebuilder is enabled #2341
* Fixed: ld+json getting a broken when special characters are added in the image. #2346
* Fixed: Hide by Category Breaking post metabox #2330
* Fixed: Hiding excerpt when global $redux_builder_amp is empty #2330
* Fixed: When Google Tag Manager is enabled, only Google Analytics should get disabled but not other analytics. #2340

= 0.9.97.4 (09th July 2018) =
* Fixed: Huge Performance upgrade in the way fetching the logo url #2317
* Fixed: Fatal Error due to unable to modify values in Structured Data Object #2327
* Fixed: Seperate option for Featured Image in pages in Swift theme #2328
* Fixed: `<p>` tags disabling where not wanted #2330
* Fixed: Fatal error in contact form module while ninja form or gravity form plugins are not activated #2310
* Fixed: Woo Commerce Category page not working properly #2333
* Fixed: Few issues related to amp-facebook-comments #2300
* Fixed: Limit number of Tags and Category to 500 in Hide AMP-Bulk tools #2336

= 0.9.97 (27th June 2018) =
* For more details check out [the blog post](https://ampforwp.com/0-9-97-released-strengthening-of-foundation-89th-update/)
* Fixed: Extraposition attribute left in CSS Design #2 #2119
* Fixed: Non-AMP header link not working #2109
* Added: Create an Ad Above the Post Content #2155
* Fixed: "AGO" text was not translatable #2158
* Added: Filter created `ampforwp_header_url` to modify logo url #2141
* Fixed: Removing the text "amp" in footer view non-amp-link #2158
* Added: Compatibility WP user Avatar plugin added #2011
* Fixed: Design 2 - meta info producing a block of empty HTML #1969 #1954
* Added: Pocket and Hatena Bookmark social share buttons Added #1652
* Fixed: External Links are appended with "amp" at the end of the url in content. #2174
* Fixed: Some Issues Found in Design #3 #2130
* Fixed: ScoopVersion: 1.4 By boostdevelopers theme displaying the error only in the category #1683
* Fixed: Page featured Image is not displaying in the Swift theme #2136
* Fixed: Dropcap breaking the youtube embed code #2157
* Fixed: Bulk hide by default option is requires Permalinks to be saved #2145
* Fixed: Fully compatibility with muffin page builder #2180
* Fixed: Incontent Related Post Issues #2078
* Fixed: Search page should not have AMP version of the page and not in search result #2191
* Added: Control added to modify Retina Images resolutions #2099
* Added: Created an option to duplicate a page builder element #1986
* Added: Image Caption is not displaying below the Image in design 1,2,3 #2101
* Fixed: Post pagination not working properly in D1, D2 and D3 #2168 #2243
* Fixed: Auto re-save permalink if the options in reading setting page get changed #2190
* Fixed: Leave a comment not looking good in Swift theme #2150
* Added: Social icons for pages. #2162
* Added: Create an option to pull canonical from Yoast #2118
* Added: Full Support for All in one SEO #1720
* Fixed: Single with sidebar CSS should only load if that layout type is selected #2091
* Fixed: Required Filed is not working in the Repeater in Page builder #2217
* Fixed: alt in `<div>` causing validation errors. #2093
* Added: Drop Down Menu Support in Swift Header Menu #2095
* Added: Parallax Setting Added in PageBuilder #2095
* Added: Multiple Layout Settings added in Feature Module in Page Builder #2095
* Added: Add the option changing the sliding speed of slider in "Slider module" of AMP Page Builder #2218
* Added: Created an option Related Post link in non amp #2201
* Fixed: Removed Jannah LazyLoad on AMP Mode #2224
* Fixed: Custom post types with custom taxonomy not working in AMP #2209
* Fixed: frontpage and homepage not working properly AMP take over #2153 #2277
* Added: Button field created in Feature module #2068
* Added: Excerpt should also work on homepage and categories page #2176
* Fixed: Options panel breaks in when RTL in WP Dashboard #2176
* Fixed: Featured image from Custom fields in page builder Category module #2237
* Added: Forms Module Support added in PageBuilder #2221
* Fixed: Paginated AMP URL on the category are opening to 404-page #2233
* Fixed: Ads not displaying properly in RTL #2227 #2138
* Fixed: single quotation (') in text module breaking AMP page builder #1940
* Added: Filter created to modify `ampforwp_loop_image_update` image arguments in components of AMP theme framework #2057
* Added: Option to change the locale of Facebook comments #2127
* Added: Search option in options panel #2088
* Fixed: Accordion not working when the user enters some data in Description with HTML Tags #2088 #2097
* Fixed: Internal links now working with ?amp=1 #2204
* Fixed: UTM Parameters not working properly with AMP #2223
* Fixed: Multiple Slider module of AMP Page builder not working #2090
* Fixed: Hide AMP by categories option should hide by default in the backend of that specific post #2112
* Added: IP Anonymization in Google analytics #2135
* Fixed: Improvement in the styling of AMP option panel #2102
* Added: Added new fonts control for Content in Single page #2122
* Fixed: Legacy page builder button styling is not loading properly #2036
* Added: Filter added so we can disable Comments on specific pages `ampforwp_comments_visibility` #2170 
* Fixed: Improvement in Excerpt on small screen option #2034
* Added: Comments on Pages #2229
* Fixed: Pagination not working for some websites #2241
* Fixed: "Menu" option in Footer connected with Swift #2146
* Added: Wistia Support #1875
* Added: Add option in page builder to give the specific name to all modules #2251
* Added: Compatibility with Muffin Builder #2137
* Fixed: AMPforWP Option panel styles are overriding other theme's options panel if both use Redux Framework #2121
* Fixed: AMPforWP Option panel styles are overriding other theme's options panel if both use Redux Framework #2121 
* Added: Render all the AMP Components added in Post Editor #2216 #2228
* Fixed: "Gap" Module of ThemeCo breaking the AMP pages #2220
* Added: Search widget compatibility #2143
* Added: Advertisement Module created in AMP Pagebuilder #2131
* Fixed: Performance issue with the function `ampforwp_get_comments_gravatar` #2234
* Fixed: Empty the amp pages, when the Clearfy HTML compress is enabled #2110
* Fixed: The attribute 'value' appearing in tag 'a' throwing the validation error #2262
* Fixed: Versioning of Styles and Scripts of redux-core #2126
* Added: Related Posts based on X days #2132 
* Fixed: Warning in custom-sanitizer.php #2173
* Added: vuukle comment support #2075 
* Fixed: Facebook Comment should not appear on the Checkout page, Add to cart page, or shop page #2170
* Added: SpotIM comment support #2075 
* Added: Additional Controls added in Design3 Featured slider #2222 
* Fixed: Username in AMP Option panel color was too light #2266
* Added: Settings created to modify H1 to H6 #2059
* Fixed: AMP_QUERY_VAR debug issue #2265 
* Added: Custom page template in AMP #1923 
* Fixed: Comments Button is not displaying in Design #3 #2163
* Added: Ability to add Forms Shortcodes in footer Widgets #2226
* Added: Option to add rel="nofollow" in AMP page builder button module #2239
* Added: Background video option in amp page builder #2195
* Fixed: Drop Down Menu Support in Swift Header Menu #2095
* Fixed: Yoast Description not getting added in AMP #2159
* Fixed: Improvement in styling of AMP option panel #2102
* Fixed: Hide AMP Bulk Tools Improvements #1867
* Added: Compatibility with the Relevanssi Plugin #1503

= 0.9.96 (2nd June 2018) =
* Added: Fully GDPR Compliance
* Fixed: GTM not working

= 0.9.86.1 (8th May 2018) =
* A bug causing validation issues has been resolved.

= 0.9.86 (3rd May 2018) =
* For more detials check out [this blog post](https://ampforwp.com/0-9-86-released-getting-ready-for-future-87th-update/)
* Added: GDPR Compliancy #2040
* Added: Muffin Page Builder Compatibility #1455 #1893
* Added: Thrive leads compatibility #2067
* Fixed: Load structured markup json in Footer to improve performance #1945 
* Added: Font Size and Font Family Controls added in Content Presentation Module #1962
* Added: Font Weight Control added in Text Module in PageBuilder #1962
* Added: Other necessary controls added in Content Presentation Module #1962
* Added: New Design called "Design 4" added in Content Presentation Module. #1962
* Fixed: License Activation process connected with AMP extensions #1981
* Added: Icon Selector control added in Button module in AMP Page Builder #1962
* Added: Filter called `ampforwp_get_comments_gravatar` to modify Author Avatar Images #1949
* Fixed: Validation error fixed by removing json+ld values to remove CDATA #1977
* Added: Icon Adjustment Option is added in the Button Module #1962 
* Fixed: Debug Warnings fixed #1976
* Fixed: If AMP support on post and page is disabled then mobile redirection was not working #1979
* Fixed: Responsive element added in Image Module #1962
* Fixed: Custom Post and Custom Taxonomies Archives not working in AMP #1957
* Fixed: AMP take over is on and  AMP support on the home page is disabled it was redirecting to some other pages #1994
* Fixed: Design 1 and Design 2 shouldn't show 'social' tab #1996
* Added: AMP WordPress Theme notice
* Added: Rewrite Rules Added for WooCommerece #1957
* Fixed: AMP Takeover blog search results giving blank page #1990
* Fixed: Swift pagination markup is present even the page has no pagination #2000
* Fixed: Pagination breaking on second page on Archives when Blog page is not set #1998
* Fixed: Added proper Google API jump link #1966
* Fixed: Advance Index and no-index controls did not had description #1978
* Added: Filter added `amp_blacklisted_tags` in blacklist-sanitizer file
* Added: Hyperlink for image module added #1989 
* Added: `ampforwp_get_frontpage_id` a common fucntion created to get post id for AMP frontpage #2025
* Fixed: Comments controls were not working properly #1987
* Fixed: Fatal Error after updating the plugin from 0.9.73 to 0.9.83 version #2017 
* Fixed: Filter created `ampforwp_modify_rel_url`  to modify rel canonical URL #2012
* Fixed: Remove structured data json if removed from AMP options panel
* Fixed: amp widget appearing twice in design one #2008
* Fixed: Gif in content + Lightbox feature throws validation issue. #2032
* Added: New Features in the Page builder Modules #2029
* Fixed: License Key was not working properly #2026
* Fixed: Instagram comment view is getting cut off in Swift Theme #2002 
* Added: Icon module support added in Desgin 1, 2 & 3 #1997
* Fixed: if GD or ImageMagick library is not present in the server then send the original image #2037 #2038
* Fixed: Swift theme homepage (Non-AMP) image resizing issues in Mobile version #1992
* Fixed: Header Element not working in Swift theme #1967
* Fixed: Stop Loading of Latest post scripts on Homepage and Frontpage #2041 
* Added: Filter created `ampforwp_non_amp_links()` so users can have all the internal links non-amp #1973 
* Fixed: Sanitize the archive description in loop component #1974
* Fixed: Double AMPHTML when FBIA Plugin is active #2043 
* Fixed: Image Div is loading even if the image is not present in Swift #2033
* Fixed: Custom AMP editor is visible on pages (post type) even if the Page Support is off from amp options panel #2047
* Fixed: When 'Structure Data for WP' plugin active, Schema type in Structure section should hide #2049
* Fixed: Bugs in Video Module in AMP pagebuilder #2048
* Added: Autoplay feature added in Video Module #2048
* Fixed: Throwing error when Product Structured Data is selected #1975
* Fixed: Advanced CSS is not loading because the files are with hosting path #2046
* Fixed: Double Quotes breaking the html #2004
* Removed: Blog option is removed from AMP Options panel and it is connected with Pages option Under Reading Settings #2027
* Fixed: amphtml should not be created for 404 pages #2018
* Added: 404 Template added, useful for AMP Takeover #2042
* Fixed: Genesis meta titles are lost and not rendering correctly #2050
* Fixed: Search blank on AMP Takeover #1990
* Fixed: Remove Unused js files from Paginated Post Pages #2001
* Fixed: Extra Space adding in H1 and other SEO tags #2054
* Fixed: Undefined Index when called from robot #1960
* Fixed: amp facebook comment Js not loading to the custom front page of the swift theme. #2053
* Fixed: Tags label is not working properly when RTL Support on #1719
* Fixed: View Non-AMP Version In the footer link has an error #2066
* Fixed: Squirrly SEO is Adding the Javascript code in AMP #1696
* Fixed: Translation option issue when using POT file method #1941
* Fixed: amp-facebook-like extension is missing on Custom Frontpage #2061
* Fixed: GTM option repositioned #2056
* Fixed: Menu is appearing on left side instead of Right side when RTL support is ON for Design3 #1928
* Fixed: Sidebar Bugs #1972
* Added: Table Styling in Swift #1961
* Fixed: Genesis index, follow options not being rendered #2071
* Added: Filter created `ampforwp_robots_meta` to modify robots meta information #2071 
* Fixed: PHP Notices #2065
* Added: Add a new hook `ampforwp_after_amp_menu` after the menu in all designs #2072
* Added: New Look to Options panel #1823
* Added: Retina Image Support added #1846
* Fixed: Pagebuilder hrefs were stripped in hebrew language #2089
* Fixed: Warning Fixed #2083
* Fixed: Gallery module images not loading in Firefox #1980
* Fixed: Pagebuilder Improvement #2024

= 0.9.85.5 (21st April 2018) =
* Added: Filter added to modify frontpage post id `ampforwp_modify_frontpage_id` 
* Added: Filter added to modify amp template directory `ampforwp_template_locate` #1982
* Other minor bugs fixed

= 0.9.85.3 (12th April 2018) =
* Added: Custom Post type Archive Page support #1995
* Fixed: AMP TakeOver redirection issues #1994
* Fixed: Debug errors #1976
* Fixed: Social Profile pages were hidden for Design 1 to 3 #1996
* Fixed: Structured Data insertion was adding CData causing validation error #1999

= 0.9.85.2 =
* Minor Bugs fixed 

= 0.9.85.1 =
* Minor Bugs fixed 

= 0.9.85 (3rd April 2018) =
* For more detials check out [this blog post](https://ampforwp.com/0-9-85-released-stability-update-86th-update/)
* Fixed: Fatal error: Allowed memory size on FrontPage #1865
* Fixed: Proper Parameters for Pinterest Sharing #1853
* Added: Extra settings added in Button Module 
* Added: Extra settings added in Text Module 
* Fixed: Proper Parameters for Pinterest Sharing
* Fixed: Unwanted fields are removed form the Repeater in Button module
* Added: Enable/disable option added Related Posts #1829 
* Fixed: Legacy PageBuilder option Repositioned #1851
* Fixed: Display the img tag only if source is present #1869
* Fixed: Huge design improvements in Swift theme #1818
* Added: Hook for Between Related Post is Added #1874
* Added: Blurb module text size and background color added
* Fixed: Comments Pagination issues #1816
* Added: Counter Module added
* Fixed: Date 48 years ago #1864 #1876 
* Added: Ability to pass post id in amp_content() #1872
* Fixed: Changed the way images we fetched in WooWidget #1847 
* Fixed: Changed the position of layout in Pagebuilder #1873
* Added: Pricing Module
* Fixed: Changed the position of layout in Pagebuilder #1873
* Fixed: amp_aq_resizer was not able to process the outside url #1881
* Fixed: Advanced Google Analytics improvements #1630 #1860 
* Added: Field Added For ON & OFF in Page builder #1870 
* Fixed: Two paginations in search pages in Swift theme #1855
* Fixed: Extra Div if categories not available #1856
* Fixed: removed debuged tags #1870
* Fixed: Published date connected with AMP options Panel #1888 
* Added: Featured Image option in Swift #1889 
* Added: Separate Blog settings #1887 
* Fixed: single post ads should not load on pages #1896
* Fixed: Ads should not load on FrontPage if PageBuilder is enabled #1885
* Fixed: Background Image Support for the Columns #1871
* Added: Blockquotes design for Swift #1894
* Added: Co-Authors Plus compatibility #1895
* Added: pagebuilder for custom post types #1884
* Added: Border option is connected to options panel #1818
* Added: Responsive AD unit support #1852
* Added: Sub category arrow symbol is added in Swift theme #1818
* Added: Search text color is connected to options panel #1818
* Fixed: Removed notice when no posttype selected #1884
* Added: Ability to overwrite page template the WordPress way like front-page.php and page-{id}.php  #1902
* Added: Ability to overwrite author page template the WordPress way like author.php and author author-name.php  #1902
* Added: Lightbox Support for the images #1892
* Fixed: No mobile redirection when Dev mode is enabled #1907
* Added: Option to hide Author name in Swift #1890 
* Fixed: Script facebook-comments should not load for Frontpage #1897
* Added: amp-facebook comments for AMP2WP #1911
* Added: Alt tag in all modules #1898
* Added: Sanitizers in Footer and sidebar widget in Swift #1835 
* Added: Dropcap support #1900
* Added: Proper styling for iframes and videos in Swift theme #1909
* Fixed: Non-AMP link fixed for AMP Takeover #1916
* Fixed: Swift connected with Breadcrumb option #1915
* Added: Uninstall option created to completely remove AMPforWP data #1903 
* Fixed: Recipe Structured Data requires name attribute #1917 
* Fixed: No amphtml when It is hidden from Categories #1919
* Fixed: Content is breaking when Inline Related Post option is enabled #1912
* Fixed: Proper redirection setup for AMP Takeover #1913 
* Added: Social media profiles added in menu #1901
* Fixed: No Ads should display on Frontpage or Posts if Pagebuilder is enabled #1885 
* Added: #1899 Proper conditions for amp-analytics script
* Fixed: Turn off option not working by default fixed #1537
* Fixed: BreadCrumbs Should not load when PageBuilder is enabled #1925 
* Fixed: Removed unwanted elements loading while pagebuilder is enabled #1929
* Fixed: amp-web-push should not load on Homepage and Blog #1930
* Added: SmartMag theme Compatibility #1905
* Fixed: Template overriding not working in child theme #1920
* Fixed: Horizontal scrolling in Swift #1844
* Fixed: Home page title should not be visible in AMP takeover #1921
* Added: Carousel Module Added #1937
* Fixed: Comments pagination not working #1816
* Fixed: Comments pagination not working #1816
* Added: Glue html css compatibility #1932 
* Added: Data Caption Support on AMP Instagram Embed #1938
* Added: Ability to pass {author_name} and {author_id} added in Advance Analytics #1936 
* Fixed: Scrollbar in Header area in Swift in firefox #1818
* Added: Disqus iframe height adjustment option #1935 
* Fixed: Options panel conflict fixed with Mobius theme #1942
* Fixed: Problem with Button in Mobile view in Swift #1926
* Fixed: Removed canvas tag in AMP version causing validation errors #1880
* Fixed: Getting Conflict with Facebook Button by BestWebSoft #1740
* Added: Option to enter the "ID" on CTA button module #1931
* Added: Option for open same window in CTA module of page builder #1866
* Fixed: Logo fetch causing Huge performance issue #1679 
* Fixed: Blurb module's default values were not set #1952
* Fixed: Allow script with application/ld+json #1958

= 0.9.84 (14th March 2018) =
* Added: Polylang Frontpage compatibility added #1779
* Fixed: Proper link for Linkedin added #1820 
* Fixed: Incorrect function name was Added #1827
* Fixed: Thumbnail resizing issue in Swift #1828 
* Fixed: Thumbnail issue in Loops of Design 3 #1714 
* Fixed: Hide post builder for Swift #1824 
* Fixed: To avoid warnings when there are no pages in WordPress #1810 
* Fixed: Condition for the Thumbnail for Swift #1733 
* Fixed: Proper Styling for footer for Swift #1733 
* Fixed: Line height issue and CSS editor not working in Swift #1821
* Fixed: Renamed aq_resize to ampfrowp_aq_resize to avoid conflicts #1838
* Fixed: Add the prefix to avoid conflicts #1817
* Fixed: Added Custom format option in amp_date #1845
* Fixed: Removed amp-img tag where blank SRC in Page builder #1843
* Fixed: Pagebuilder modal max-height removed so it will become full width #1843
* Added: An option for select target type in Button Module #1822
* Fixed: Remove AMP category widget if swift is enabled #1790
* Fixed: Filter added change mode type #1833
* Added: Rewrite rule for .html blog page #1775
* Fixed: Filter added change mode type #1833
* Fixed: Swift Footer Widget Sanitizer Added #1800
* Fixed: No OneSignal widget when PageBuilder is enabled #1840
* Fixed: span tag added around the pagination text #1834
* Added: Page specific option to add script/html and styles in page builder #1831
* Fixed: noindex,nofollow in AMP when Dev mode is enabled #1839
* Added: Jarida theme compatibility added #1842
* Fixed: noindex,nofollow in AMP when Dev mode is enabled #1839
* Fixed: Replace value attribute only from html tags. Otherwise it is removing value from * shortcodes which is breaking the whole page. #1738
* Added: Underline option for content links added #1808
* Added: Page specific option to add RTL in page builder #1858
* Added: Converts AMP ads to normal so ads show when takeover is enabled in Normal Mode #1724
* Added: Converts AMP Analytics to normal so Analytics works when takeover is enabled in Normal Mode #1724
* Fixed: Phone icon proper alignment in Design3 #1730
* Added: ADS for WP activation box in Extensions tab
* Added: New design field added #1861

= 0.9.83.1 (8th March 2018) =
* Fixed: Pagebuilder contents not shows on custom home page #1794
* Added: Header hook added `ampforwp_advance_header_layout_options`
* Fixed: Load admin files only in admin pages #1799
* Fixed: Conflict with WP bakery pagebuilder #1783
* Fixed: Slide in Menu break in RTL mode #1825
* Fixed: Validation issue in loops due to empty attributes #1795
* Fixed: Featrued Image connected Properly with Swift theme #1733
* Fixed: Changed the disqus.php to disqus.html to pass authentication #1788 
* Added: CSS styling for Loop on shop page #1803 
* Fixed: Facebook comments not work in swift #1789
* Fixed: Style AMP Category module in Footer swift #1790
* Fixed: Load aq_resizer only in AMP #1805 
* Fixed: Proper markup for Pinterest in Design3 and Swift #1793
* Fixed: Proper url for vk

= 0.9.83 (03rd March 2018) =
* Added: Ability to add amp-carousel and amp-selector directly into WYSIWYG Editor #1588
* Fixed: Debug error caused by Playbuzz Sanitizer #1674
* Added: Show default gravatar for comments #1758
* Fixed: Implement Swift Thumbnail Regeneration in all the designs #1709
* Fixed: To avoid debug error in swift
* Fixed: Translation improved for some strings #1678
* Fixed: Stop AMP takeover for Feed pages #1767
* Fixed: Menu issues In Design 1 & Design 2 after changing from AMP-Sidebar #1565
* Fixed: AMP Options panel Not Working After Update (0.9.82.1) version #1761
* Fixed: Move the label to the top [UX improvement] #1746
* Fixed: Error with Vue #1745
* Added: Video Module added in AMP Page Builder #1750
* Fixed: Sidebar menu is not scrollable swift theme #1769
* Fixed: View Non-AMP should be usertrailingslashit #1772
* Fixed: Proper structured data for Blogpage #1660
* Fixed: Legacy Page Builder not working after the update #1773
* Fixed: Content blank when only image in content #1778
* Fixed: Comment ID display issue fixed #1758
* Fixed: PHP Warning: A non-numeric value encountered in components/logo/logo.php on line 52 #1764
* Fixed: Yummly support added in Swift #1708
* Fixed: Demo Link updated #1781
* Fixed: CSS is not loading in Swift Theme #1780
* Added: Ability to add Advertisement or Sponsored label under ads #1710
* Fixed: Featured images distortion in related posts #1684
* Fixed: Implement Swift Thumbnail Regeneration in all the designs #1709
* Fixed: noarchive instead of nofollow in Archive pages #1693
* Fixed: Internal links of tags are showing “/amp” after changing the end point to “?amp” in design 2 #1752
* Fixed: line height is added for the logo in Swift design
* Added: Class for Custom Frontpage #1787
* Fixed: Recent post enable disable for Swift theme #1784
* Fixed: Connect Show/Hide AMP option with AMP takeover#1786
* Fixed: Added sanitizer to footer Widget #1756

= 0.9.82.1 (18th February 2018) =
* Selector code reverted due to it's effect on carousel

= 0.9.82 (18th February 2018) =
* View more details on https://ampforwp.com/0-9-82-released-stability-update-82nd-update/
* Logo Resizing calculation by Pixels and resizing bug solved.
* Update Notification in the Admin panel will only appear in the AMP options panel. So it will not annoy you anymore.
* Glue underline is applying for some reason
* Fatal error after 0.9.81 fixed
* Facebook comments loading twice on swift
* PHP Notice: Undefined variable: post_author_name
* Pagebuilder fix in version 0.9.81 Compatibility with Yoast and other plugins #1749
* Home loop modifier option added. Allows you to exclude the categories from the loop or include the Custom Post type in the homepage loop.
* amphtml Conflict with Instant Article for Facebook resolved
* /amp folder in the theme is applying changes in plugin, which causing a bug, but it’s been fixed
* Backward Compatibility for AMP Preview
* SEO Section Improvements
* Wrong comments count on AMP pages
* AMP Allow selector in the The Content. You can add tabs and AMP components directly into the loop.
* If we turn off the Homepage Support then Blog is turned off as well, solved.
* Post Pagination have two options like “Number of pages” and Previous & Next.
* Removed the dot from the one Signal Service worker URL if the subdomain isn’t added (Causes Validation issues.)
* Extra Space due to empty divs in Design 3
* Remove alt from a tag in the AMP version caused many validation issues.


= 0.9.81 (15th February 2018) =
* Edge case fatal error on features.php fixed
* Admin dashboard messup CSS fix #1731
* Custom CSS Output added in Swift

= 0.9.80 (15th February 2018) =
* View More details on the [blog post](https://ampforwp.com/introducing-swift/)
* AMP Page Builder 3.0: The AMP Page Builder is a lightweight and much stable than ever and works flawlessly! [Read More](https://ampforwp.com/tutorials/article/amp-page-builder-installation/)
* Swift: The New Default Theme, which you can select from the design section of the Page builder.
* A way to create a Child Theme for AMP [read more](https://ampforwp.com/tutorials/article/child-theme-amp/)
* Make AMP & Non-AMP Same: We have an amazing new option called AMP to WP which will generate the WordPress version of the AMP design which will be viewed on the canonical version of the website.
* AMP Takeover: You can deliver a fully AMP compatible website with this option. It will basically take over the non-amp version and deliver an AMP version to your desktop and mobile users, on WordPress & AMP version. That’s why it was called AMP Takeover
* Logo Resizing made easy
* Typography Options
* 3 Headers design in swift theme
* Error while sharing the image on Pinterest #1699
* Homepage support was not working ( when page support is off ) #1695
* Custom Permalinks rewrite issue solved #1689
* Custom post type was appearing two types #1688
* Theia Post Slider plugin incompatibility with post pagination fixed #1677
* Link to the categories in loop of Design 3 #1632
* amphtml was not working when plain permalink selected along with static page as homepage #1614
* AFS Analytics Integration added  #1605
* Removed the blank spaces from analytics id field to deliver a good UX. #1599
* ?amp endpoint feature added #1561
* Ability to remove the excerpt and image from related post #1510
* Thumbnails on-the-fly generation added for better control over the design.


= 0.9.74 (23rd January 2018) =
* View More details on the [blog post](https://ampforwp.com/0-9-74-released-stability-update-79th-update/)
* Fixed: Push Notifications button alligned in center #1500
* Added: Meta robots tag support from Yoast #1563
* Added: Option to Disable wptexturize/smart-quotes Support #1458
* Fixed: Changed the label id to avoid conflict with Advanced AMP Ads #1591
* Fixed: esc_attr causing validation issues with single and double quotes #1616
* Fixed: Image stretching problem resolved when "Featured Image from the content" was set #1580 #1582
* Added: Create Template by Custom taxonomy name like product-jeans.php in AMP Theme FrameWork #1594
* Added: Custom Post type support added in the Core #1612
* Fixed: custom-amp-content.php cleaned with PHPCS #1497
* Added: Basic Product(WooCommerce) support added #992 #1276 for full WooCommerce Support please check this [Extension](https://ampforwp.com/woocommerce/#utm_source=readme-log&utm_medium=0.9.74-readme&utm_campaign=AMP%20Plugin)
* Added: Proper fallback support added if the current active AMP theme is not available #1624
* Fixed: Resolved debug errors #1622
* Added: All in One SEO compatibility #1557
* Fixed: Load AMP Styling only on AMP pages #1441 
* Added: 7 New Social Media Integrations added (Reddit, Tumblr, Telegram, Digg, StumbleUpon, Wechat, Viber) #1265
* Fixed: itemprop="url" was adding in non-amp #1626
* Fixed: SiteOrigin Pagebuilder compatibility with Custom Frontpage #1592 #1593
* Added: MediaAce lazy load compatibility of Bibmer Theme #1472
* Fixed: Content Links plugin was causing validation errors #1569
* Added: Filter added called get_content_from_dom to modify the output in AMP function #1462
* Added: amp_breadcrumb component added in AMP Theme Framework #1636
* Fixed: Sidebar Styling and proper sanitizer updated 
* Added: amp_author_meta component added in AMP Theme Framework #1641
* Fixed: amp_post_pagination component improvement in AMP Theme Framework 
* Added: Ability to add link classes in amp_post_pagination in AMP Theme Framework 
* Fixed: amp_author_meta image code improvement in AMP Theme Framework

= 0.9.73 (15th January 2018) =
* View More details on the [blog post](https://ampforwp.com/0-9-73-released-stability-update-78th-update/)
* Added: Instagram Sanitizer added to process Instagram Embeds inside the BlockQuotes #1581
* Added: Option Created to Enable/Disable rel="nofollow" for View Non-AMP link #1572
* Fixed: Custom AMP Content was not working with Elementor Pagbuilder #1495
* Fixed: ampforwp_is_front_page() is not working in the newspaper theme #1583
* Added: Allow people to use multiple Analytics on AMP #1124
* Fixed: 'https' error with PlayBuzz Embeds #1481
* Added: Option to show last modified date instead of Published date #1496
* Fixed: Add proper permission for ampforwptourinstaller page
* Fixed: Debug warnings #1586 and #1459
* Fixed: A lot of Security Fixes has been done #1497
* Fixed: Removed lot of unused code #1497
* Added: AMP skip for checkout page #1443
* Added: Show the list of Child pages at the end in Parent Page with on/off #1551
* Fixed: Properly strip shortcodes fom Structured data description #1512

= 0.9.72 (6th January 2018, Happy New Year) =
* View More details on https://ampforwp.com/0-9-72-released-stability-update-77th-update
* Related Posts Image stretching in Design 3 AMP theme Framework #1482
* RTL option must be integrated into AMP theme Framework #1562
* `DOMDocument::loadHTML():` Attribute itemprop redefined warning fixed #1539
* Created an option to add Author bio article in Facebook Instant Article #1521
* Options to add push notification button above and below the content #1571
* Copy the Content button for Custom Post types #1532
* Alexa Metrics Compatibility added #1536
* Logo styling added with amp_logo. So styling can work with AMP Theme Framework. #1520
* Content parsing login improved, so it will not through any warnings if the content has only 1 paragraph. #1523
* Debug Warnings removed #1564
* Caption in the Gallery creating validation errors Fixed. #1549
* Tables Link color should be as same as the link of the body #1559
* Separate options for In-Content related posts #1546
* WebPage Schema Type added in Structured Data options #1558
* Fatal Error fixed with `mb_detect_encoding()` after enabling the minify option #1494
* Content blank or fatal errors due to itemscope and itemtype, fixed. #1570
* Performance improved. Due to `_transient__redux_activation_redirect` transient. #1526

= 0.9.71 (1st December 2017) =
* Design 2 Post Titles issue fixed
* Instant Articles validation issue fixed.

= 0.9.70 (30th November 2017) =
* View More details on https://ampforwp.com/0-9-70-released-stability-update-76th-update/
* Image alt tags are empty which caused issues. #1154 (thanks to @liagua)
* ALT and IMG tags are in one line #1442
* Updated the permalink for post view in admin area #1318
* aria-current causing validation issues #1427
* Aligning Captions in the Bottom in Gallery #1428
* Logo’s height & width should dynamically come from the logo. This was a great UX improvement in my opinion. The logo would good regardless of the kind of image you upload. #1429
* After 0.9.69.1 update – Call to undefined function mb_convert_encoding #1447
* Featured image options now also reflect the structured data #1430
* Blur & Stretching issues of Design 3 thumbnails are now fixed. They’re crisp and clear than ever! #1227
* Related posts are showing on single even when turned off #1434
* Show Related posts CSS only when it is selected #1356
* Author image now displays on author pages #1426
* Category base removal in AMP from url option is only working on the first page #1418
* Bug fixed: PHP Warning DOMDocument Empty string supplied as input #1449
* Video support added in Instant Articles #1300
* Read more tag in Instant articles issue fixed #1415
* Amp carousel issues fixed #1446 #1456
* Compatibilty with Envira Gallery Lazy Loading #1432
* Inline Related Posts in AMP Theme Framework #1457
* Different number of in-content related post and related posts at the footer #1448
* FooGallery update broke all the AMP compatibility, but we fixed it from our side so that user’s gallery work perfectly #1424
* WPBakery Page Builder Conflict solved #1419
* Goodlife theme Lazy Load compatibility added #1416
* AMP-Facebook-Like Was found but unused Validation Error fixed. #1463
* Playbuzz not displaying if added with https: #1466
* Options Panel labels renamed for better understanding.


= 0.9.69 (20th November 2017) =
* View More details on https://ampforwp.com/0-9-69-released-stability-update-75th-update/
* One Signal Push Notifications bug fixed! #1404
* AMP theme framework Related posts extended so that it can be used as a loop format #1406
* Facebook like Button improvements #1405
* Add layout responsive tag to image module in page builder #1373
* Strip the shortcodes from Structure data area #1389
* Test HTTP API Call From admin panel by redux #1391
* Meta description tag in normal site Unicode character is different from AMP site unicode character. #1369
* Updated the check for ampforwp_is_amp_endpoint this should fix the issue #1372
* Updated the URL for design 3 so it can work with plain permalink #1318
* Updated the option Featured Image from The Content #1367
* If “Featured Image From The Content is enabled and Duplicate Featured Image” is disable it will remove all the duplicate images from the content. #1375
* Date Format under Homepage improvements #1408
* Warnings due to inline related posts in Homepage #1413
* Plain Permalinks Support improved. #1318
* Allow Homepage title of Bread Crumbs feature to be changed from Translation Panel #1414
* Debug Errors in AMP Theme Framework #1403
* Unnecessary loading of Merriweather fixed, it will only load in the Design 1.
* Enter Phone Number is not Appearing when switch to Call now button #1425
* Need excerpt below the title, above the meta #1399
* Remove the Separator piple symbol from the footer when “Back to Top link” is off #1417
* Display Child or subcategories on Category pages. #1385
* Add Caption in the Gallery Image feature conflicting with Gallery widget #1407
* Youtube Shortcode embed with &rel=0 support #1378
* Filter for Excerpt custom text in the AMP options #1411
* WPML Multilingual CMS plugin flags compatibility #1270
* Compatibility with Tasty Recipes plugin and other page builders with amp page builder #1431


= 0.9.68 (12th November 2017) =
* View More details on https://ampforwp.com/0-9-68-released-stability-update-74th-update/
* ADs are Optimize For Viewability, meaning it will try to load faster than the original AMP AD loading strategy.
* Content was disappearing issue was resolved #1392
* Featured Image from The Content option is connected to related post #1339
* Fix amp-web-push helper iframe configuration URL #1387
* Facebook Like button added to AMP #1327
* WPML support for AMP Improvement #1285
* Debug Errors fixed #1366
* Setting ad density for Facebook Instant Articles ads #1287
* Showing the number of comments in Single #1341
* Styling added to the sitewide ads and made sure that they are in the center. #1343
* One Signal buttons Translation added #1383
* Article type added to Structured data #1344 #1354
* The issue with the amp-carousel when RTL was enabled #1358
* amp-carousel with images of different sizes #1358
* a bug where Img is getting converted to amp-img if there's no height or width. which causing validation issue and image is not visible fixed.
* Instant Article should have a default value for number of posts, it was causing the memory issue with alot of posts #1390
* Notice if a post has no author data #1338
* Added a new redux extension select field in redux framework #1349
* Issues with galleries as well as gallery captions #1363
* Added a hook for adding anything in between the loops #1396
* Hide meta boxes as per the user level types #1340
* A Switch between the Date formats #1384
* Fix: Jannah theme lazy load issue #1362
* Issues with galleries as well as gallery captions #1363
* Create Dynamic url of amp according to the permalink structure #1318
* Minor code performance improvement.
* Archive titles in Design 3 frontend issue

= 0.9.67.0 (6th November 2017) =
* View more details on https://ampforwp.com/one-signal-push-notifications-for-amp/
* OneSignal Push Notifications integrated #807
* Vimeo embed support added
* SoundCloud embed support added
* Pinterest embed support added
* PlayBuzz embed support added
* DailyMotion embed support added
* Fix: Handle issues with data uri images in CSS #1033
* Fix attribute when adding AMP Mustache lib #1033
* Fix: Output CSS for feature image #1033
* An option added for users who don't want to receive update notifications #1342
* Structured data nav improvement
* Sitenavigationelement has been implemented correctly for footer menu. #1345
* Style sanitization for Menu Items #1359
* Polylang flags support for menu  #1360
* Mobile Redirection issues fixed #1173
* Jetpack fatal error fixed #1355
* AMP Page Builder requires a button to be clicked, so the scripts are not running on the runtime making it easy on the edit screen page and avoid the possible script conflict.
* Needs proper CTA Bar's styling. #1361
* Debug errors on archive pages #1353
* Preview shall only be loaded on click rather than in background #1331
* ampforwp_is_home() function code improved
* making sure scripts and styling is properly adding when sanitizing the sidebar #868
* All the backend css and js should be versioned, so it's not cached. #1335

= 0.9.66.1 (30th October 2017) =
* Fatal error if has version less than WP 4.8 fixed
* More Minor Validation errors fixed
* Odnoklassniki sharing button is not working #1337

= 0.9.66.0 (29th October 2017) =
* View more details on https://ampforwp.com/0-9-66-released-bug-squashing-oct-2017-72nd-update/
* Design 3 & Design 1 are optimised with 90+ Google PageSpeed Score on Mobile and 95+ in desktop performance #1273
* Featured Image from the content for blog and homepage #1295
* Category Module for AMP Page builder added #888
* Don't load unused CSS selectors. All the CSS is conditionally loading, to decrease the number of CSS loaded per page and increased in performance #1292
* Twitter Video embed code support added in AMP #1307
* Video Posting Structured data #1293
* Navigation menus are now Schema compatible for better Structured data integration #1229
* Yoast checking conditions for Structured Data Improved #1293
* Added "back to Top" in design 3 #959
* Proper blog check and author for custom frontpage #1260 (Made some changes to check the blog properly and also added the author details for Custom Frontpage)
* AMP not working on password-protected pages #1192
* Debug errors reported by the user #1284 and few more we found internally
* Inline Style Sanitizer for Comments to avoid any validation issues #1193
* Next/Previous links removed from pages #1268 props @Frenchomatic
* WPML Multilingual CMS plugin flags compatibility added #1270
* Image sanitizer added for the Sidebar #1270
* Added AMP Components the correct way. Added amp-gist, amp-social-share. #336
* amp-video script added - Which decreases the non-critical validation issues #991
* Arrows in Design 3 pagination #1000
* Author page links in Single #1282
* Added previous open state of option panel and show again when search clean #1238
* Odnoklassniki Social Sharing Support for AMP (with target blank for better bounce rate) #1230
* GIF or animated images resize problem fixed #1281
* In Design1, Header Background & Link Color have same option #1249
* FB Pixel for AMP added #1231
* Structured Data Type option for AMPed Custom Post types only #1259
* Attribute ‘readability in the tag ‘div’ removed - this decreases the validation issues #1306
* AMP Theme Framework Improvements: loop, author, related_post, Add Author support #1311
* Commentator's Avatar in the comments section #1132
* Remove 'Welcome to AMP' from Dashboard sub-menu and moved to the options area to decrease the annoyance and increase the user happiness #902
* Option to Sort the Random Order of Related Posts to increase the audience engagement (Default is 'ID', on enabling the option it will change to 'rand') #1250
*  View AMP on Admin Bar for the respected page/post If enable. #1236
* google maps iframe – link to larger map #1099
* Comments now jumping due to the slash at the end #1309
* Page Builder causes Incompatibility with the Divi theme (We restructured the Text Module for Page builder for better compatibility and UX) #1162
* Inline Style Sanitizer for Comments added. Less Critical Validation issues and Better Presentation #1193
* WPML amp-html error fixed #1285
* Radio button not working for Show View more Button" #1018
* Added registered handle for tinymcePointer localize data #1301
* Date in the Design 2 should not be hidden in mobile version #1315
* Page builder not working on homepage(Selected as front page) #1316
* Instant articles number of posts option #1271 (Removed some unused code as well, it will rendered all posts if none is enter in the options)
* Auto flush on save for FBIA to improve the UX.
* Plain Permalinks Support improved. #1318
* Tables support added to FB Instant Articles #1266
* Demo link added in the Theme selector option #1248
* Remove invalid attributes from multiple tags which reduces critical validation errors and validates pages.
* AMP makes a problem in archive page label, when it is active in non-amp version #1304
* placeholder-icon.png is 404 fixed #1310
* Category & Tags switches for Single added. #1055
* Copy Content (Custom AMP Editor) Option Not showing with Page Builder of SiteOrigin issue fixed #1280
* Improving UX with: when AMP support is off for a specific post type then all the AMP related metaboxes should be removed #1289
* Options Panel Options rearranged, labels rewritten, descriptions repositioned for better User interaction [commit]

= 0.9.65.2 (25th October 2017) =
* TypeWatch is not a function #1299
* Error with BackupBuddy fixed #1303

= 0.9.65.1 (24th October 2017) =
* AMP Minifcation Issues fixed

= 0.9.65 (22nd October 2017) =
* View more details on https://ampforwp.com/new/
* Favicon for AMP #1039
* AMP Minification option added with Performance Tab in Options #1286
* Post support is turned off then Meta box should also be removed #1253
* Excerpt Length feature in Design two and Three #1122
* Test Contact form plugins and their settings in the options panel #1121
* Mobile preview in Edit Screen #1082
* Search feature for Options Panel #1238
* WordPress Social Share Buttons Validation Issues #1272
* itemtype attribute is striping in the ul tag #1210
* Debug Error in Breadcrumb 0.9.64 #1267
* Disable AMP linking at Wordpress Search Page #969
* Featured Image is missing #1071
* Removed ampforwp_plugin_activation_notice #1034
* Add VK (Vkontakte) Sharing Button #1187
* Grab the first image instead of post thumbnail for featured image #1189
* AMP theme framework core changes #1274
* Grab the first image instead of post thumbnail for featured image #1189
* Create a Switch on Top of Page Builder #1279
* Inline Related Posts added that helps you with improving bounce rate #1078
* Caption Support in Image Gallery Carousel #1172 #1136
* Instant Articles feed shows sticky posts on top #945
* Added search check, to fix debug notice
* Option to hide date from Design 1 & Design 3 Homepage Loop #1264
* UI labels improvements in the Options panel
* Sorting out design #2 – static front page #1175

= 0.9.64 (15th October 2017) =
* View more details on https://ampforwp.com/new/
* Structured Data Type option added. You can now change the structured data format for Posts, Pages and Custom post types #323
* When comments plugin activate, Comments section should remove. #1093
* Notification causes a validation error. #1147
* CSS !important need sanitization #1225 - This will help us to validate tens of thousands of pages.
* Strange spaces when using Sassy Social Share #1185
* Remote CDN use? Let's host it? #549
* Typo fix for Linkedin Profile Page URL section #905 [Thanks to Prayag @pra85]
* Replace fastimage with fasterimage for PHP 5.4+ #1191
* Debug Errors Post 0.9.63 #1219
* Ad5 code injected twice #1116
* Homepage Support must be Off when we turn Off Homepage Support. #738
* Add custom class in post pagination for styling #1100
* Removed the Lazy Loading issue of Schema Theme #1170
* H1 tag for archive titles (Commit) #1155
* Alt tag for the Logo #1155
* Design 3 Menu RTL issue fixed #1106
* Ability to add dynamic classes in body tag #1237
* Warnings fixed on 404 page #1243
* Properly structured data for Homepage, Custom Frontpage and Blog #1155 #1242
* Option added to Enable/Disable categories and Tags links from Single #1155
* Fatal error after 0.9.63 fixed #1220
* Debug Error due to vendor AMP #1213
* PHP warning on line 147 after 0.9.63 #1241

= 0.9.63 (8th October 2017) =
* View more details on https://ampforwp.com/new/
* Category and Tag Base Remover as core features #1079
* Hide AMP on Posts option added #935
* Installation Setup Screen Added for new users
* Validation for the session in PHP #1158. PR by Bryan Contreras @bryan3561
* All the amp pages should work perfect with Plain Permalink settings #488
* WYSIWYG TinyMCE editor added for the Text Module in AMP Page Builder #1205
* WPML Static Front Page Support for title and description with Yoast. #1143
* Row Settings area added for AMP Page Builder #1148
* xlink attribute causes Validation Issues #1149
* Posts with no images on Archive pages are squeezed to 65% #1058
* Body Class to target specific pages #1123
* Option to enable/disable Breadcrumb #1129
* Debug errors due to Breadcrumbs fixed #1109 #1130 #966
* Visit AMP option added below the View Site in Dashboard. #1076
* Many Debug errors fixed #1109
* Textarea for body tag which will help people add AMP Auto Ads #1064
* Structured data improvements #1048 #1044 #1085 #1118
* Twitter share URL based on users choice, you can allow people to share pretty links and short links. #1097
* Author Avatar removed code fixed which has been displayed in the div "amp-wp-meta amp-wp-byline". #1087
* Only one figure element is allowed in the article header FB Instant Articles #1127 & #1157
* Image alt tags are empty and cause issues fixed. #1154
* Button to copy the content into Custom AMP Editor #783
* Rename AMP loop widget areas or add proper descriptions #1045
* Trailing slash issue #1095
* Related Posts by Post type featured added #1141
* Ultimate Social Media Icons plugin causes validation issues fixed #1135
* Adding proper path for functions.php, it was causing strange fatal errors and irregular white screen of death fixed  #1144
* A smooth way to migrate from other AMP plugins to AMPforWP #1051
* Alert added on AMP by Automattic installation. #1180
* Insertion of strange spaces around H1 titles #1069
* AMP Page Builder and HTTPS #1164
* You can display comments from more than one vendor such as displaying WP & FB Comments #1150
* Rename AMP loop widget areas or add proper descriptions #1045
* FrontPage featured image with srcset #1063
* An option for Showing featured image from custom field #1098
* Added the Custom Front Page Title From Yoast SEO #1163
* Commenting breaks SSI directives causes to display error #1179
* rel canonical appears more than once in search pages #1195
* Dev mode in AMP #1083
* Social Sticky Icons Improvements #1061
* Grand-Child support added in Design 3 #1152
* amp-accordion non-critical error in Design 3 & CSS improvements fixed #1152
* Incorrect @id for mainentity #1080
* Hide AMP by specific Categories tweaked for performance. Thanks to Joshua Eichorn @jeichorn CTO at Page.ly #1133 - Huge Thanks!
* amp-auto-ads for sites with RTL support ON #1176
* Redirected the Google forms to our contact page so that we can take each and every query and answer every person. #1201
* ui-state-highlight class was conflicting with ACF date picker fixed #1199
* Responsify WP Lazy loading causes blank image (Compatibility) #1131
* amp-carousel scripts loading on the second page fixed in Design 3
* Show Design screenshot while selection of design #1209
* Switches Redesigned for better UX #1211
* Welcome Page UX Improved #1214

= 0.9.62 (25th September 2017) =
* View more details on https://ampforwp.com/new/
* INTRODUCING Page Builder 2.0 for AMP! [Learn More & Watch the Video](https://ampforwp.com/tutorials/article/amp-page-builder-installation/)
* Documentation & Help links improved
* Post type specific classes for targetting
* Design name restored in Options panel (It was recently renamed to Appearance) 
* Minor Bug fixes as well

= 0.9.61 (10th September 2017) =
* View more details on https://ampforwp.com/options-restructured/
* Options Panel Restructured – Options were dividing into two parts: Settings and Appearance.
* AMP Theme Framework Core Support Added. You can now create themes of your own in just minutes.
* WPML Static Front Page Support #1111
* Notification message disables when CF7 & gravity form is activated. #1107
* Space after On in Design 3 #1114

= 0.9.60 (4th September 2017) =
* View more details on https://ampforwp.com/0-9-60-released-improved-redirection-66th-update/
* Class added to View non-amp anchor tag
* Params added properly to get rid of a warning #1077
* rel=attachment noopener generating validation errors #1090
* Breadcrumbs Support Added #701
* Enable / Disable button added for Navigation Menu #735
* Move the ad code for Instant Article down after the article #964
* Add analytics code of FB instant articles properly #1096
* datetime Tag not stripping properly #1043
* Mobile redirection on custom post types #1028 #1052
* Mobile Redirection causing extra redirect #879 #933
* Proper mobile redirection on Homepage #1052
* View non-amp on blog will redirect to blog
* Blog will redirect to blog irrespective of AMP Homepage option #871
* Dont redirect if archive support is disabled #1052
* non-amp category pages should redirect to non-amp pages if turned off from Hide AMP #999
* Disable amp for forum plugin (wpforo) #592

= 0.9.59 (23th August 2017) =
* Design 3 Images were not aligned properly. Fixed. #1040
* Caption in the design 3 improved
* Jetpack File not loading throwing fatal error #1038
* If the mobile redirection is ON and the category is excluded to display the AMP then it should redirect properly
* Custom Editor Compatibility issue with SiteOrigin PageBuilder fixed #997
* Native Twitter Embed support
* Added a hook after the body tag: ampforwp_body_beginning (commit)
* GTM in AMP Improved #958
* WP User Avatar compatibility Added #975
* Alt tag on frontpage featured image added #1050
* Blurred Images on the frontpage fixed #1050
* Need to escape alt tag #1049
* Debug errors & PHP warnings were fixed #859 #811 #830 #810
* Proper rel canonicals for inner pages #1047
* Added Video sanitizer for comments #1053
* When activating the AMP plugin, display a notification in the popup. #1036
* Video Sanitizer added for Comments

= 0.9.58.1 (9th August 2017) =
* Jetpack conflict issue solved #1038
* Genesis SEO Support added #1013
* Fixed Wrong SEO title issue #1013 and #836
* Design 3 Carousel script loading method improved #990

= 0.9.58 (9th August 2017) =
* View more details on https://ampforwp.com/new/
* Genesis SEO for AMP support added
* AMP 0.4.2 Vendor Bundled for making it crash proof
* Archive desc only on 1st page #1029
* Ads are not working after 0.9.6 #1030
* Fixed the Post 0.9.57 Update Bugs #1025
* All Images are aligned on left side in design 3 #1031
* Custom frontpage title issue in Design 3 fixed

= 0.9.57 (5th August 2017) =
* See the Full changelog https://ampforwp.com/0-9-57-released-compatibility-issue-fixed-62nd-update/

= 0.9.56 (31st July 2017) =
* View more details on https://ampforwp.com/page-break-in-amp/
* Page Break / NextPage (Pagination) Support Added #834 #857  (Improvement)
* Show/Hide AMP for Categories of Posts or All posts #872 (Improvement)
* Adding analytics capabilities to Instant Articles #978
* JetPack Plugin Conflict Solved #971
* Social sharing code improved. amp-social-share js is getting added for line and WhatsApp social share #981
* Code improvement for rel canonicals(home and archive)
* Perfect SEO URL + Yoast SEO Compatibility #982
* Some styling for tags to show up properly
* Undefined index notices #960
* Non-amp category pages should redirect to non-amp pages if turned off from Hiding AMP #999
* Page builder text and button module issues #972
* Documentation links updated in the Options panel

= 0.9.55 (13th July 2017) =
* View more details on https://ampforwp.com/0-9-55-released-improvement-update-61st-update/
* Disqus Comments show up even when disabled per post #931
* Unnecessary: Adding the Markup for AMP Woocommerce latest Products #929
* H3 inside OL in Related-Posts.php #930
* Advertisement Options in Instant Articles #943
* Incompatible with bootstrap plugin #525
* Error in tag and category links #934
* Pagebuilder Button module link had issues #951
* Unnecessary: Adding the Markup for AMP Woocommerce latest Products #929
* WPtouch Pro Compatibility Issues #927
* Better scripts compatibility in Single of post types #757
* Instant Articles Error: "The HTML element does not contain any text" #949
* added a filter in all the dates so a user can change the date format and modify #962
* Design3 Menu Arrows are clickable along with the links #952


= 0.9.54.2 (4th July 2017) =
* Minor bug post 0.9.54 bug fixed

= 0.9.54 (4th July 2017) =
* View more details on https://ampforwp.com/new/
* Facebook Instant Articles Support #862
* Exclude Some Pages from Mobile Redirection #914
* After 0.9.53 update amp-social-share js missing (critical issue) #924
* Hooks added in Header (above and below)
* View non AMP[Code improvement] #928
* Pages are not supposed to show meta like this, especially Categories #894
* Monarch plugin having design issues #925
* Show AMP Hide AMP Check Box Fixes #794

= 0.9.53 (19th June 2017) =
* View more details on https://ampforwp.com/stability-validation-issues-59th-update/
* Compatibility Issue with Rocket Lazy Load plugin #907
* Link color issue with UX of Color Pickers in Design 3 #731
* amp-analytics js appears more than once when Google tag manager is used #885
* SEO by SQUIRRLY is adding analytics twice #678
* Fatal error when WPSEO is activated #900
* Design 3 Sticky header should have an option #625
* Search form was enhanced, it can now be used on the websites without https certificate. That will certainly fix a lot of validation issues. #912
* Yandex Metrika support in AMP #585
* Histats Analytics Support #880
* Chartbeat Analytics Support #882
* Do not strip Rel from anchor tags #790
* Design close Resulting Blank Screen in AMP Site #642
* Logo size is not applying #817
* AMP Publisher logo guidelines #162
* Remove amp-social-share extension .js from Custom Frontpage #899
* Add compatibility with Sassy Social Share #679
* Remove Disallowed ‘like’ tag from Facebook Like button by Ultimate Facebook plugin

= 0.9.51.1 (12th June 2017) =
* Redirection issue after 0.9.51 Update.
* Improved compatibility with plugins.

= 0.9.51 (8th June 2017) =
* View more details on https://ampforwp.com/page-builder-released-in-amp/
* Page Builder Support added ( See Tutorial at https://ampforwp.com/tutorials/page-builder/ )
* Comments are not showing properly when words are long #861
* Remove amp-social-share extension .js from Pages #853
* The tag ‘amp-sidebar extension .js script’ appears more than once in the document #828
* Remove Advertisement tab #839
* Compatibility with Slide-in Plugin by WPMU dev #866
* Mobile redirection issue with bbpress #867
* All the data must be properly sanitize in the sidebar #849
* AMP html should not be added on the second page of comments
* Author page’s support #456
* URLs in comments should be clickable(links) #869
* Featured image should be centered in desktop mode #870
* Added More Hooks #721 (Documentation on this coming soon!)
* Page 2 goes to the wrong URL #865
* Proper Title and meta for homepage and posts #850
* Gist Support added #608 – Just add a shortcode and enjoy Devs (Ex: amp-gist id="b9bb35bc68df68259af94430f012425f )
* /blog/amp pagination not working #875
* separate the Text and Date format in design 2 #876
* Comments show in AMP w/o breaks between paragraphs #873
* If no featured image below hooks are not working #877
* Change meta name Viewport and its value #878
* Bolt icon in option #474
* Code restructuring and code quality improvements.
* Create a seperate function for comment code in frontpage.php #682
* Remove all the duplicate code from frontpage.php of all the designs and use hooks to add the code instead of static code #889
* Few Debug errors removed.

= 0.9.50 (24 May 2017) =
* View more details on https://ampforwp.com/facebook-comments-in-amp/
* Design 3 Social Icons issue #832
* View non AMP leads to /?nonamp=1 #814
* Youtube shortcode compatibility improved #557
* welcome.php should be shown only if user is “administrator” #696
* Facebook comments support added in AMP #825
* WP Like Button Compatibility #841
* Custom Taxonomy Support added with Custom Post Type Extension.
* Front page – comments not found as expected #837
* Fixed xml:lang tag issue #848
* Sanitize Iframe in the archive description Fixed #845
* Compatibility with Newspaper Theme by TagDiv #842 and #796
* Some debug problems (blog page, style.php) #838
* Featured Image hooks added
* Twitter is misspelled #854
* The core concept of the AMP Content builder has been built.


= 0.9.49 (12 May 2017) =
* View more details on https://ampforwp.com/0-9-49-released-small-important-bugs-fixed-56th-update/
* Option added to display the excerpt in Single #806
* Ability to add new invalid tags to filter out from AMP pages #809
* In frontpage, comment button is pointing to wrong URL #812
* Call now button and search is overlapping in Design-1 #784
* Sticky Social Icons should be off if the CTA notification bar is on #788
* Author bio in Design 1 and 2 #732
* Styling in Taxonomy description causing validation issues #798
* Twitter share(handle, url positions fixed) #815
* Tables responsiveness in ALL Designs #726
* Output all the categories and tags with their own ID’s in the div classes #750
* Social Share Icons Overlap with Leave A Comment in Design 3 #716
* Effective Measure Support on AMP #297
* Custom AMP editor on pages should only be shown when page support is ON #756
* AMP on website.com/blog without need of separate installation #775
* GTranslate Compatible #819
* Images and amp-anim styling added #725
* Filter to make the title in a post to a link #727
* Author Bio and Social Share button must not come in Pages #770
* StatCounter is now compatible with AMP #361
* Line Social media support #500
* Footer menus for Design 1 & Design 2 #623
* Strip out src=”about:blank” When Gravity Forms used #804
* Add Compatibility with Crazy Lazy load plugin #751
* Meta Titles and Description issues fixed with Yoast, All in one SEO and The SEO Framework #813
* Double quotes in the Excerpt of the meta description is making AMP Invalidated #818
* Missing featured image on static front page #824
* Fatal error while activation: see the video 0.9.49 Beta #827
* Review this code in archive.php in all 3 designs. #826


= 0.9.48 (28 April 2017) =
* View more details on: https://ampforwp.com/0-9-48-released-step-towards-multilingual-support-55th-update/
* The default translation method of WordPress added. (Option in Translation panel to switch between * Translation panel and POT file #540)
* A new Advertisement slot added above the related posts in the Single. It not only gives better options for people to display ads but this ad slot is also very handy if you are using ad companies like Taboola and RevContent.
* Another Advertisement slot added below the post title in the Single post.
* Fatal error: require_once report-bugs.php #747 fixed
* Add / for codes in Meta Description #766 fixed
* Controls re-adjusted & Renamed title of yoast description control in Options panel
* Design-3 Slider URL redirecting to non-AMP page #758
* Added new sanitizer For HTML to AMP-HTML conversion
* Sanitized Archive descriptions so that it would convert to AMP
* Comments sanitized with new sanitizer so that HTML tags automatically become AMP compatible.
* 301 redirects on non-pretty internal links #767
* Create a filter to modify the value of rel="amphtml" #778
* Max-width added for images in comments
* If in WooCommerce ?amp endpoint set then update href.
* Undefined Variable (Debug) #733 and many other debug issues were fixed
* Show last updated Post instead of published date #575
* WooCommerce Widget added to display latest products on homepage. #763
* add amp_post_template_above_footer hook global in all the designs #779
* Excerpt on top of the content in Single #665
* Subscribe box has been improved for the UX needs #712
* Notice warnings since 0.4.2 update #740
* AMP Comments Form Integration with the extension
* Filter added on the loop in Homepage of the Design 3 so that it can be modified with an external plugin.
* 404 on paged home page #781
* Twitter handle should be at the end of the tweet not in the beginning #787
* Wrong Rel Canonical for AMP Custom Frontpage #799
* Merged a pull request #761 that will improve the title and description output that is much more stable and flexible for future enhancement and use. It was contributed by Sybre Waaijer - Thanks mate for the contribution, we (our team and users) really appreciate your hard work done on this code.
* Extension page user experienced improved.
* Removed old Youtube installation video and replaced with new one.

= 0.9.47.2 (12 April 2017) =
* Design-3 Slider URL redirecting to non-AMP page #758
* Ads showing in comments #768

= 0.9.47.1 (11 April 2017) =
* Meta description option improved in SEO section #766
* Fatal error: require_once report-bugs.php #747

= 0.9.47 (10 April 2017) =
* View more details at https://ampforwp.com/0-9-47-released-54th-update/
* Meta saving method updated for customAMP content editor checkbox was causing some conflict.
* Wrong Yoast title and structured data in Custom Frontpage fixed
* CSS minification all 3 designs
* Polylang flags in menu was causing validation issue, is now resolved
* WPML flags in menu was causing validation issue, is now resolved
* Standardized function created for content sanitization.
* Archive description now displays AMP compatible markup
* Comments markup sanitized for AMP
* Design 3 images not aligned properly, fixed
* Images are aligned to center in Design 1.
* carousel ending with //amp instead of /amp – fixed #753
* Title of the Post along with Post link when shared in twitter #683
* Ads were cutting in half in RTL, fixed
* Add / at the end of AMP links with in the AMP pages (Internal links) #668
* Rendering the wrong URLs in front page if paged #742
* Option to turn off AMP on all pages, so people can turn on only for specific pages #746
* Need Meta Description on amp pages #741
* Woocommerce Loop shortcode updated
* Call Now Button added in header #563
* Post images are not centered in Design 3 #695
* UX of GTM settings done, since users were getting confused #700
* Front page amphtml fixed for paginated pages

= 0.9.45.6 (31 March 2017) =
* Installation Process from welcome page was not working after WP Plugin DIR API change was fixed.
* WP Rocket Minifcation and Concatenation was not working, its fixed now.
* WP Rocket was tested properly to make sure everything is working fine.

= 0.9.45.5 (25 March 2017) =
* WP rocket conflict solved  
* Cannot set property ‘innerHTML’ of null issue fixed

= 0.9.45.3 (21 March 2017) =
* Post 0.9.45 bugs fixed and released as an urgent update.

= 0.9.45.1 (19 March 2017) =
* Post 0.9.45 bugs fixed and released as an urgent update.

= 0.9.45 (18 March 2017) =
* View more details at https://ampforwp.com/0-9-45-released-compatibility-rtl-53rd-update/
* W3Total cache compatibility added
* RTL Support added for Right-to-Left language websites.
* Comments Pagination feature added
* WP-Rocket Compatibility added
* WPML Compatibility added
* Quantcast analytics support added
* ComScore support added
* Custom Yoast title support added #685
* WooCommerce Shortcode: Allows you to display WooCommerce Products.  [amp-woocommerce num=6] will display the 6 products from WooCommerce.  [amp-woocommerce num=6 link=noamp] will display 6 products but they will go to non-amp website, if you want to link to AMP version of the page then use [amp-woocommerce num=6 link=amp]
* Admin area UX improvements
* Adding notifications script in the correct way
* Comments now display on frontpage as well.
* Re-positioned non-amp Header link control to the right section.
* ?nonamp=1 only displays when the Mobile redirection is on
* Properly adding iFrame js.
* Custom Post type incompatibility fixed
* Widgets added to the Custom Frontpage.
* Stripping shortcodes from excerpts.
* Custom content on static frontpage had over riding issue #687
* Option added for controlling number of comments
* Welcome page should be shown only if user is “administrator” #696
* Digg Digg social share compatibility #694
* Removed unnecessary lines from Design 3
* Sanitized Archive Description to amp Compatible #659
* Author box now displays HTML properly #645
* Date added Design-3 in meta #583
* Options link was removed from wp-admin tool bar after a feedback from a user.
* Footer sub menus layout compatibility.


= 0.9.44 (5 March 2017) =
* View more details at https://ampforwp.com/user-experience-52nd-update/
* Added Welcome Screen for better User experience. [Enhancement]
* Undefined Index debug error resolved [Bug fix]
* All in one SEO Support support tested [3rd party compatibility]
* Frontpage title in Design 3 is out of the container #644 [Bug fix]
* Default Table markup in AMP #643 [Enhancement]
* AMP carousel is not working on Frontpage #641 [Bug fix]
* Social share .js was getting added even when it was not required #638 [Bug fix]
* Search Feature added for Design 1 & Design 2 [Major Improvement]
* Accordion script loading issue in Design 3 #634 [Bug fix]
* ?nonamp=1 links should be nofollow #622 [Bug fix]
* Same Header and Color Scheme are making header elements invisible #629 [Enhancement]
* In Search AMP rel canonical was different #631 [Bug fix]
* Non-AMP link in Design 3 was not working when mobile redirection was enabled #632 [Bug fix]
* Search form text strings are now added in the translation panel #607 [Bug fix]
* Load AMP-ads conditionally only if ads are available #609 [Bug fix]
* Added compatibility with Custom post type extension. Option to hide/show AMP on all custom post types #587 [Bug fix]
* Report a Bug & Request feature links added [Enhancement]
* If there was no menu set in Design 3 then all pages were getting displayed. #613 [Bug fix]
* The tag Font is disallowed #616 [Validation Improved]
* index/noindex separately added for Tags and also for Categories #606 [Enhancement]
* Use of undefined constant AMP_QUERY_VAR #596 [Bug fixed]
* Logo is not centered in Design 3 #586 [Bug fixed]
* Remove defer, a very rare type of defer was getting added #589 [Validation Improved]
* Disqus comments iframe had scrolling issues #566 [Bug fixed]
* Left side blank gap in the RTL in design 2 #541 [Bug fixed]
* Inline Styles not working correctly in Custom AMP Editor #533 [Bug fixed]
* Re-save permalinks issues. Flushing rewrites with options saved. #511 [Improvement]
* Code review and cleaning of the customizer #404 [Code Cleaning]
* Google Search iframe had some header alignment issues in Design 3. #624 - Thank you Leo Osa @leoosa for the contribution! [Bug fixed]
* AMP Frontpage + Override AMP Content = Blank page #604 [Bug fixed]
* Widget area added on the homepage with an 'AMP Category Blocks' widget. It means you can display multiple category blocks the homepage. This allows you to display complex layouts, even on AMP. [Major Improvement]
* Auto-append /amp at the end of internal links in Menu with an option in the Menu section of the options panel #531 [Major Improvement]
Reformatting and Minifying of stylesheet [Code Cleaning]
* Created a new section for Homepage and moved some controls from other areas to the home section for the better user experience. [User Experience]
* Override Homepage Thumbnail size option added. It will give you more control over your thumbnails. [Major Improvement]
* New color picker added to change the color of the header elements in the Design 3 to give you better control over the design. [Enhancement]
* Extra amp-carousel script loading is now fixed. [Bug fixed]
* Crafting of layout code in design 2 and design 3, especially with social icons area. [Code Cleaning]
* Design of search form was not clickable in iOS devices #621 [Bug fixed]
* Disqus iframe was loading even when there was no disqus name was added in the option. We found that many users might be enabling it without knowing the output and then they seem to forget, which was causing them validation warnings. [Bug fixed]

= 0.9.43.6 =
* View more details at https://ampforwp.com/stability-sprint-3-51st-update/
* Typo in the is_home() function fixed
* Option to hide/show AMP on all custom post types #587
* False detection by Windows defender tool fixed
* Conditional tags were not compatible with Advanced AMP ads which were causing some conflicts but is now fixed.

= 0.9.43.5 = 
* View more details at https://ampforwp.com/stability-sprint-2-50th-update/
* Fixed shortcodes issue in related posts #543
* Iframe Scripts Added properly
* Proper conditions added for the social section of Design 3
* Featured Image issue stretched in Design 2 & 3
* Removed extra global $redux_builder_amp;
* Custom Logo Dimensions option added #479
* Index & NoIndex options added for SEO section. #558
* Added URL for rewrite flushing rules in Options
* Option to enable and disable the Author area in Design 3#577
* Rel Nofollow added in credit link
* debug issue solved: fn_offset not defined
* debug issue solved: global $post not declared
* The word 'ago' is now translatable in design 3
* The word 'read next' is translatable now
* Tablepress compatibility added #392
* Secure API server is now serving through Google Cloud Manager.
* Thrive Content builder was displaying twice when the Custom AMP content was on. It was a complex issue which has been solved now.
* amp-ad extension.js script was loading if the Ads are not enabled. #598
* Social Share Extension Included on Homepage even if we didn't have social icons #599
* Installation UX improvement #593
* Removed duplicate global variable
* Proper OG tags added #588
* Proper instructions added for Custom AMP content #471


= 0.9.43.1 = 
* View more details at https://ampforwp.com/0-9-43-1-released-stability-sprint-1-49th-update/
* Emoji in comments leads to AMP errors
* Design 1 showing time on archives
* Added some space between the archive label.
* Lazy loading plugins compatibility #544
* Custom header and footer areas
* Sticky posts now come on top #564
* Footer non-amplink added in design 3 #562
* HTML Paragraph tag is shown in the title in category! #518

= 0.9.42 = 
* View more details at https://ampforwp.com/design-three-update/
* Design 3 was released – Video Overview  along with new options and features. View the video overview at: https://www.youtube.com/watch?v=ub1pwskt3Rc [Major Feature]
* Ticket #517 – Added Upload field into Redux core [3rd party Compatiblity]
* Ticket#529 Controls for archive titles added [Improvement]
* Ticket #548 Jetpack photon code removed

= 0.9.41 = 
* View more details at https://ampforwp.com/disqus-comments-in-amp/
* Disqus Comments in AMP Support Added [New Feature] - This feature can be enabled from Dashboard > AMP Options > Disqus Comments
* AMP WooCommerce supported tag was missing after the last update. [Bug fix]
* Homepage & Related Posts was displaying private and protected posts, which is now fixed [Bug fix]
* Next previous links added in Design 1 [Enhancement]
* Invalid Post Time displaying in the homepage of Design 1 [Bug fix]
* Twitter share now includes the twitter handle of the author with setting in options [Enhancement]
* Emoji in comments leads to AMP errors was fixed [Bug fix]
* Date are now displayed on archives in Design 1 [Enhancement]
* When RTL enabled logo merges with nav bar was fixed  [Bug fix]
* Jetpack Photon compatibility added  [3rd Party Compatibility]

= 0.9.40 =
* View more details at https://ampforwp.com/0-9-40-released-biggest-stability-update/
* Proper endpoints added [Improvement]
* Flush Rewrites properly [Improvement]
* REL Canonical properly getting added. [Improvement]
* Proper Frontpage Canonical added [Improvement]
* Added Base name support for categories and tags [Improvement]
* Redirection of excluded post solved. [Bug fix]
* Archives properly redirecting to the right URL [Bug fix]
* Homepage redirection solved [Bug fix]
* Plusone tag is stripped properly. [Validation Issue fixed]
* Archives are now clickable. [Improvements]
* WP_Query filter added for better customizability of Homepage loop. [Better Customizations]
* Social share boost plugin compatibility. [3rd party Customizations]
* Removed H1 from the frontpage even if it is not available. [Improvement]
* H3 instead of H1 for Site title. So there is only one H1 per page. [SEO Improvement]

= 0.9.38 =
* View full details at https://ampforwp.com/google-tag-manager-for-amp/
* Google Tag manager included [New feature]
* Iframe max-width added [Improvement]
* Paginated pages have different titles now. [Bug fix]

= 0.9.37 =
* View full details at https://ampforwp.com/category-tags-archive-support-added/
* Debug issues solved [Bug fix]
* Remove Extra styling added by other Themes/ Plugins [3rd party themes and plugin Support]
* Category, Tags & Archive Support with titles added [Enchancement]
* Archive Title support added [Enchancement]
* There were some issues with attachments [Bug fix]
* removed ? from amp url's [Improvement]
* Mobile redirection for Archives added and 404 redirections removed for archives [Improvement]
* View non-amp version now properly redirects to the normal version. #415 [Bug fix]
* Added an option to turn off AMP support for Homepage. [Enchancement]
* Too many redirects issue on homepage is fixed #435 [Improvement]
* Spell check and G tags are removed for thrive & Spell check compatibility [Better Validation]
* If image is not available in gravatar fixed, it was throwing an error #365 #327 [Improvement]
* Comment anchor link changed for simplecomment button files in both designs [Improvement]
* Redirection Loop issue fixed [Bug fix]
* Shortcodes were visible in excerpt, it's fixed now. [Improvement]
* Defer onload by other plugins was causing issues #431 [Better Validation & 3rd party support]
* Improved Sessions [Improvement]
* Advnaced Settings panel was created for better user experience. [Improvement]
* Spell check tag was causing validation issues. [Better Validation & 3rd party support]
* RTL issue fixed #454 [Bug fixed]

= 0.9.36 =
* Full details at https://ampforwp.com/0-9-36-released-stability-update-43rd-update/
* Redux Core Update. Better compatibility with the Salient theme and Themeforest themes & plugins using redux framework in their core, which makes the plugin much stable. [Huge Improvements]
* Hide advertisement section if advance ads plugin is active. [Better User experience]
* Ultimate Social Media PLUS Plugin Compatibility (Link) [3rd Party plugin Compatibility & Better Validation]
* Launch Post Builder button added. One of the important feature called ‘Post Builder’, that is drag and drop post builder was somewhere hidden in the customizer, so positioned it for better visibility from users. [Better UX]

= 0.9.35 =
* Full details at https://ampforwp.com/page-builder-realtime-preview-3rd-party-plugins-compatibility/
* Customizer page builder (Design Manager) was not showing real-time preview, we have fixed this issue properly [Bug fix]
* Attachment page was having the wrong endpoint. [Bug fix]
* Fb:like div has href, showfaces, send and action tag, which was against validation [Validation Improvement]
* A plugin (Spam Protection by CleanTalk, no Captcha Anti-Spam) was forcefully adding script into the AMP version. [3rd party Compatibility]
* Lang attributes were added [Enhancement]
* The tag like was disallowed in the AMP [Validation Improvement]
* We did some more testing with Visual Composer & AMP [3rd party Compatibility]
* AMP on Pages option was not working in some cases. [Bug fix]
* Disable comment button when comments were disabled. This was fixed by @lofesa and was sent as a pull request. Thank you Lofesa!
* g:plusone tag was not getting removed properly. [Validation Improvement]
* Thrive headline optimizer was having issues in AMP version. [Validation Improvement]
* Structured Data Image width issue solved [Enhancement]
* BJ Lazy Load was having issues, we have added a fix which will make this plugin compatible with the AMP. [3rd party Compatibility & Validation Improvement]
* imageanchor=”1″ was getting added by some 3rd party plugin, this was fixed.[Validation Improvement]

= 0.9.34 =
* Newspaper theme by Tagdiv was having issues, we have fixed this one. 

= 0.9.33 [15th Jan 2017] =
* Full details at https://ampforwp.com/debug-errors-shortcodes/
* Mobile was not working with Newspaper theme by Tagdiv [Bugfix]
* Debug errors fixed, Code is now much cleaner.
* New rewrite rules for homepage pagination. It had some paginated URLs with wrong amphtml tag.
* Extra analytics file was loading. Better compatibility with Yoast & Monster analytics.
* Properly removes AMP if turned off from Post panel
* z-index position improved on Sticky Social bar
* Better compatibility with shortcodes.
* Divi Standard Layouts Compatibility
* Properly Hide AMP posts if excluded. #367
* Mobile redirection was causing loop issues which are now fixed.
* Some plugins were loading in core AMP js file, which was causing the issues, which is now fixed. [Better Validation]
* onclick was getting added in the links on AMP version. Issue fixed. [Better Validation]
* thrive_headline tag was getting added in the Title tag which was causing validation issues. Fixed. [Better Validation]
* Some interactive plugins were using place, state, city and imap tags which are now fixed. [Better Validation]

= 0.9.32 [7th Jan 2017] =
* Full details at https://ampforwp.com/first-wave-of-polishing-in-2017/
* Rel=canonical issue fixed: AMP URL redirect to the normal URL #293 & #332.
* Paginated pages on homepage redirect to homepage URL #335
* Title of the page should be displayed on the FrontPage #358
* Thrive Builder AMP Validation Compatibility, so it will be validated properly in AMP.
* Twitter Sharing improved so it gets the data properly #341
* Option to change the number of Related Posts #290
* Validation errors due to rel="canonical" was missing on some pages
* Comment button displays even if the comments are not available
* Threaded comments were duplicating, so that issue is solved and added proper CSS for it.
* Minor issue with Jetpack Comments fixed.
* Missing amp-social-share.js on front page fixed #372
* Minor improvements to Title and description tags.
* Analytics Script was loading twice when Glue was active.
* Page specific class added for better customization compatibility #377
* Inline Style support added Fixed #356
* Bugs fixed in Email notification pointer

= 0.9.31 [2nd Jan 2017] =
* Proper Details at https://ampforwp.com/amp-0-9-31-released-installation-user-experience/
* Proper Condition added for the scripts to load in Frontpage.php
* Rel canonical properly added for front pages
* 404 and Archive page Mobile redirection code refined
* User Experience Improvement: Installation process was improved

= 0.9.3 [31th December 2016] =
* Proper Details at https://ampforwp.com/custom-amp-content-editor/
* Custom AMP Editor - Which allows you to override your Content that you had written in Post or page, so you can add the different content just for AMP.
* FrontPage had some validation issues. [Bug fix]
* Related posts in Design 1 we're redirecting to 404 fixed [Bug fix]

= 0.9.2.2 [27th December 2016] =
* Proper Details at https://ampforwp.com/polishing-user-experience-improvements/
* Made the Options panel user-friendly
* Social Share on frontpage issue fixed.
* Readme.txt made user-friendly.
* Archive option removed and some UI improvements
* Single was not displaying the Title
* 'Type is not allowed' [Validation issue fixed]
* noshade tag Validation issue fixed

= 0.9.2.1 [24th December 2016] =
* Proper Details at https://ampforwp.com/step-towards-fixing-amp-validation-errors/
* Disabled the Tags and Categories support for AMP for better validation until we find a better solution.
* Mobile redirection bug fixed, It was continuously redirecting to the same page [Bug fix]
* trailingslashit added to make sure we have proper url for Mobile redirection [Bug fix]
* In content AD overlapping the content issue fixed

= 0.9.2 [23th December 2016] =
* Proper Details at https://ampforwp.com/mobile-redirection/
* AMP Mobile Redirection Feature added. It can be turned on from Dashboard > General and then Mobile Redirection. [New Feature]
* Archive title and description added [Improvement]
* Improved the Speed of the AMP version #321 [Improvement]
* Anchor link was not closing fixed #328 [Bug Fix]
* Typo in Trailingslashit function which resulted in some issues in the Homepage version [Bug Fix]

= 0.9.1.2 [20th December 2016] =
* Proper Details at https://ampforwp.com/new/
* DoubleClick Support
* Custom Post Type Support
* Ratings Support
* Comments Gaping fix
* Custom Excerpt code
* Better Compatibility with Yoast SEO plugin
* AMP Validation error in Design 1 Fixed
* Proper Homepage title & Description with Yoast SEO plugin issue fixed
* Design -1 Excerpt too big for mobile devices, Fixed
* Advertisement support on Design 1
* Link to Tags & Categories were having some issues.
* AMP looking bad on big devices
* AMP validation Improvement: Lightbox plugins compatibility
* Huge Progress in AMP Validation Errors: Strip unwanted codes and tags from wp_footer for better compatibility with Plugins
* Page Performance: Removed default Google font loading
* Page Performance: DNS Prefetch tag added for faster DNS Handshake

= 0.9.1 [16th December 2016] =
* Proper Details at https://ampforwp.com/new/
* PHP7 Compatibility
* Pagination URLs (Prev & Next) was going to 404 ( #244 | #251 )
* Custom CSS not working in Design one (#249)
* Enhanced the translation panel by adding Textarea from Redux, which means that we're able to allow HTML in footer like before (#260)
* How to remove “Powered by WordPress” from Design-1 of AMP ( #264 )
* Non-amp Homepage support added (#267)
* using get_avatar() (#259)
* Validation issue fixed: The attribute 'rel' may not appear in tag 'div' (#268)
* Validation Issue fixed: Script Tag removed from the content.
* Featured image in Design 1 in single #261
* After Fresh installation - a save is required Fixed
* Excerpt length controlled
* Design One has thumbnails on the Homepage
* Non-AMP link goes to the wrong page, issue fixed.
* Archive pages were broken, fixed.
* Option to Enable & Disable the Next/Previous links in Single
* WhatsApp sharing not working, issue fixed.
* Category Taxonomy has extra ':' in the word.
* The word 'Ago' is now translatable.
* Yoast SEO with AMP compatibility issue fixed.
* Several Minor Polishing in the code
* Footer Ad gets covered by Sticky Social Icons (#269)
* Smaller image size when “image caption” is used in Design-2 (#263)
* Footer ad with Sticky Social bar issue fix
* Checked with WordPress 4.7
* Ad #1 was messing up with the title, issue fixed.
* Compatibility improved with AMP WooCommerce.

= 0.9 =
* Proper Details at https://ampforwp.com/amp-pagebuilder/
* Drag & Drop Page builder Added: You can easily modify the look of the AMP page using this feature
* 100% Yoast Compatible , Now no need to have additionally Glue Installed
* 100% completed Translation panel, Now absolutely anything on page is translated
* Added Option to turn on/off Page Support
* Styling for Tags was Corrected
* Made changes to these sections to reflect in the new Design manager : Related Posts, Footer
* Default Image alignment styling added
* Added Option to turn on/off Page Support
* Related Posts Now use Custom Excerpt if it Exists
* Now AMP pages wont have Validation errors because of 'rel' attribute in 'div' Tag or 'onclick' attribute in 'a' Tag
* <pre> Tag styling issue fixed for AMP pages
* Frontpage (Homepage) Compatibility with AMP which means better validation of front page.
* WooCommerce Support Added https://wordpress.org/plugins/amp-woocommerce/ (for E-Commerce)
* 2 New Designs added
* SEO Panel Added

= 0.8.8 =
* Proper Details at https://ampforwp.com/amp-0-8-8-released-translation-panel/
* Translation Panel added. You can now easily translate the AMP version from the backend without any complications.
* Badge Tag was throwing Validation error
* Plusone tag validation error was fixed
* Time tag was validation error was fixed
* User experience for Mobile devices was improved
* Meta info was messing up in smaller devices, it was fixed as well.
* Internal AMP linking added for Categories and Tags
* Future errors for AMP ads was fixed
* Blockquote styling added
* “Please Activate parent Plugin settings” added for better User Experience.
* Related Post Ux improvement
* Plugin version added in Footer source code for better debugging
* Added Support for Default WordPress Image alignment
* New action hooks added in index page
* Featured Image Size options added

= 0.8.7 =
* Proper Details at https://ampforwp.com/amp-0-8-7/
* added option to enable/disable AMP on Archive pages (Ticket #188)
* Solved 404 on Related Posts (Ticket #178 )
* Related posts by either categories or Tags(Ticket #179)
* added a link to menu Section from the AMP Options page(Ticket #190)
* Added Support for Piwik Analytics(Ticket #163)
* Added Support for Segment.com Analytics(Ticket #50)
* Added a switch for hiding Non-Amp page link from Footer.( Ticket #189)
* Added an Option that strips Users URL from Comments Section(Ticket #180)
* Fixed stripping  <date> tags from the content , Since it was preventing validation – amp-img issues fixed
* UX Improved for every section of AMP Options page
* Added Settings button on plugin page
* Related posts switch added
* Removed carousel.js


= 0.8.6.1 =
* Date Tag fix
* Few validation issues after 0.8.6 were fixed (Frontpage amp-img strip issue fixed)

= 0.8.6 =
* Proper Details at https://ampforwp.com/amp-0-8-6-released-related-posts-comments/
* Related Posts
* Post Comments
* WhatsApp sharing button – Your visitors can now easily share the content over the whatsapp.
* Validation issue fixed by All In One Schema.org Rich Snippets plugin
* Removed Google Fonts loading for Performance
* New relic Support
* Class added to ‘View Non-AMP Version’ text
* Archives Structured Data issue fixed
* Some instances img tags converted into amp-img automatically.


= 0.8.5.3 =
* Canonical issue fixed for Post

= 0.8.5.2 =
* Canonical issue fixed for FrontPage

= 0.8.5.1 =
* Proper Details at https://ampforwp.com/new/
* Validation issue fixed: 'Value' tag
* Validation issue fixed: The attribute 'contenteditable' may not appear in tag 'a'.
* Validation issue fixed: Table markup
* Validation issue fixed: nowrap and misc tags
* New Relic Support
* Tags on off option
* Canonical and correct AMP html Redirect issues Solved
* NextGEN Gallery Validation Support Added

= 0.8.5 =
* Proper Details at https://ampforwp.com/the-0-4-compatibility/
* AMP 0.4 Compatibility Check
* Even better Structured Data Validation, Once in for all!
* Structured Data Options to eliminate Validation errors
* AMP Page Exclude option

= 0.8.4 =
* Proper Details at https://ampforwp.com/blog/structured-data-validation/
* Structured Data Validation
* Navigation Text Change
* Inline Style Validation
* Form Validation
* Frontpage shows the amphtml rel twice fixed
* Facebook Sharing not working

= 0.8.3 =
* Prefix added in the Content filter
* Extra space after quote in Ads

= 0.8.2 =
* Proper Details at https://ampforwp.com/blog/the-custom-frontpage/
* Custom AMP FrontPage
* Featured Image
* New Mobile Friendly Advertisement sizes
* Single Post Pagination Option
* RTL Support
* Notifications
* Gaping if the Meta was turned off.
* Analytics was not fetching the user id properly.
* Page was not using the post template along with the AD support.
* AMP Endpoint support for Paged when the front page is active.
* UI improvement of Admin panel
* Few Validation issues fixed

= 0.8.1 =
* Warning: Cannot modify header information error fixed
* Validation issue fixed. KK Star Plugin compatible.
* Gaping in the smaller screens fixed

= 0.8 =
* Proper Details at https://ampforwp.com/blog/the-change/
* Plugin was re-written from scratch and is now built on top of default AMP plugin by Automattic but giving you the same features of the original plugin.
* 99.5% Validation issues were fixed.
* Page builder & Shortcodes Compatibility Support Added
* Conflict with JSON API
* Carousel support for Gallery
* Better Image stretching and resizing
* Youtube Video Embed Support
* Vine Embed Support
* Twitter oembed Support
* Instagram Embed Support
* Facebook Video Embed Support
* Better Future Compatibility

= 0.7.7 =
* Proper Details at https://ampforwp.com/blog/amp-0-7-7/
* Big Validation Error fix Update
* Disable AMP support on specific Pages and Posts
* Option to disable the Post meta from the Single
* Footer Credits and Copyright Text Option
* New options for Social Sharing Bar in Single
* Jetpack Social & Related Sharing Issue fixed
* Gaping in footer if the Sticky bar is enabled
* Text domain added on few strings

= 0.7.6 =
* Google Adsense Support Added with AMP-Ad
* Wrong Homepage rel amphtml bug fixed

= 0.7.5 =
* Google Analytics Support Added
* Logo Support Added. If the logo is disabled, then the Title should be activated.
* Color Scheme Feature Added
* User friendly Options Panel Added
* iFrame support Added
* Few Minor Bugs Fixed

= 0.7.1 =
* Bug #24 (Github) fixed
* Strip Style tags for faster & better validation
* Bug #21 (Github) fixed

= 0.7 =
* Canonical Improved
* Navigation Validation bug fixed
* Two more validation bugs fixed ('role' and 'tabindex' attribute)
* Featured image automatically hides if it is not present
* Validation issues in the images of the post's the_content

= 0.6 =
* Improved Navigation Menu
* Search Console errors fixed
* Social Sharing option
* Pages support
* Force redirection for mobile users removed and many other bug fixes

= 0.5 =
* Added AMP Markup for Google Structured data. This will fix the issues in Webmaster tools.

= 0.4 =
* Support of Custom menu added for AMP enabled sites

= 0.3 =
* Support of amp-img added in single posts
* minor css bug fixed

= 0.2.5 =
* Minor bugs fixed
* ?mobile & ?nomobile is now ?amp & ?noamp

= 0.2 =
* White Screen of death issue fixed
* Plugin URI updated

= 0.1 =
* Initial version
